
var DRAG_HELPER_BORDER_SIZE=2;var DRAG_MODE_Y_X=0;var DRAG_MODE_Y=1;var DRAG_MODE_X=2;function beginDrag(element,event,useDragHelper){assertExists(element,"The element to drag is undefined or null");var dragger=new DragHelper(element);if(exists(useDragHelper)&&useDragHelper==true){dragger.setHelperUsed(true);}
dragger.beginDrag(event);}
function DragHelper(dragElement){assertExists(dragElement,"The drag element to add is undefined or null");this.dragElement=dragElement;this.useDragHelper=false;this.dragHelperInited=false;this.originalElement;this.dragHelper;this.exceptions=new Array();this.yMin;this.yMax;this.xMin;this.xMax;this.moved;this.propagateEvents=false;this.deltaX;this.deltaY;this.startX=0;this.startY=0;this.mouseMoveListener=this.createMouseMoveListener();this.mouseUpListener=this.createMouseUpListener();this.dragMode=DRAG_MODE_Y_X;this.moveFunction;this.moveObject;}
DragHelper.prototype.beginDrag=function(event){this.moved=false;this.event=exists(event)?event:window.event;if(this.isException(this.event)){return true;}
if(this.useDragHelper){this.deltaX=this.event.clientX-parseInt(this.dragElement.style.left)+DRAG_HELPER_BORDER_SIZE;this.deltaY=this.event.clientY-parseInt(this.dragElement.style.top)+DRAG_HELPER_BORDER_SIZE;}
else{this.deltaX=this.event.clientX-parseInt(this.dragElement.style.left);this.deltaY=this.event.clientY-parseInt(this.dragElement.style.top);}
var thisObject=this;registerEventHandler("mousemove",this.mouseMoveListener);registerEventHandler("mouseup",this.mouseUpListener);this.startX=this.event.clientX;this.startY=this.event.clientY;stopDefaultAction(this.event);}
DragHelper.prototype.moveHandler=function(event){event=exists(event)?event:window.event;if(this.useDragHelper&&(!this.dragHelperInited)){this.initDragHelper();}
this.moved=true;this.moveElement(event);if(!this.propagateEvent){stopPropagation(event);}
stopDefaultAction(event);}
DragHelper.prototype.moveElement=function(event){var xValue=this.calculateXValue(event);var yValue=this.calculateYValue(event);if(!this.isValidMove(xValue,yValue)){return;}
if(this.dragMode==DRAG_MODE_Y_X){this.dragElement.style.left=xValue+"px";this.dragElement.style.top=yValue+"px";}
else if(this.dragMode==DRAG_MODE_Y){this.dragElement.style.top=yValue+"px";}
else{this.dragElement.style.left=xValue+"px";}
this.notifyMoved();}
DragHelper.prototype.notifyMoved=function(){if(exists(this.moveFunction)&&exists(this.moveObject)){this.moveObject[this.moveFunction]();}
else if(exists(this.moveFunction)){this.moveFunction();}}
DragHelper.prototype.upHandler=function(event){event=exists(event)?event:window.event;removeEventHandler("mouseup",this.mouseUpListener);removeEventHandler("mousemove",this.mouseMoveListener);if(this.useDragHelper){this.moveElementToHelper();this.hideDragHelper();this.dragElement=exists(this.originalElement)?this.originalElement:this.dragElement;}
if(!this.propagateEvent){stopPropagation(event);}
stopDefaultAction(event);}
DragHelper.prototype.isValidMove=function(xValue,yValue){if(exists(this.yMin)&&isNumber(this.yMin)&&yValue<this.yMin){return false;}
if(exists(this.xMin)&&isNumber(this.xMin)&&xValue<this.xMin){return false;}
if(exists(this.yMax)&&isNumber(this.yMax)&&yValue>this.yMax){return false;}
if(exists(this.xMax)&&isNumber(this.xMax)&&xValue>this.xMax){return false;}
return true;}
DragHelper.prototype.calculateXValue=function(e){var xValue=e.clientX-this.deltaX;return xValue;}
DragHelper.prototype.calculateYValue=function(e){var yValue=e.clientY-this.deltaY;return yValue;}
DragHelper.prototype.setMoveFunction=function(functionToCall,object){assertExists(functionToCall,"The function to call is undefined or empty");if(exists(object)&&isEmpty(functionToCall)){throw new Error("Fucntion to call is empty");}
this.moveFunction=functionToCall;this.moveObject=object;}
DragHelper.prototype.setDragMode=function(dragMode){assertExists(dragMode,"The drag mode to set is undefined or null");if(dragMode!=DRAG_MODE_Y_X&&dragMode!=DRAG_MODE_Y&&dragMode!=DRAG_MODE_X){throw new Error("Drag mode to set is invalid: "+dragMode);}
this.dragMode=dragMode;}
DragHelper.prototype.setPropagateEvents=function(propagate){assertExists(propagate,"Propagate is undefined or null");this.propagateEvents=propagate;}
DragHelper.prototype.setHelperUsed=function(useHelper){assertExists(useHelper,"UseHelper is undefined or null");this.useDragHelper=useHelper;}
DragHelper.prototype.getEventTarget=function(event){var target=event.target;if(!exists(target)){target=event.srcElement;}
return target;}
DragHelper.prototype.setYMin=function(yValue){assertIsNumber(yValue,"Min y value to set is not a number: "+yValue);this.yMin=yValue;}
DragHelper.prototype.setYMax=function(yValue){assertIsNumber(yValue,"Max y value to set is not a number: "+yValue);if(this.useDragHelper==true){this.yMax=yValue-(DRAG_HELPER_BORDER_SIZE*2);return;}
this.yMax=yValue;}
DragHelper.prototype.setXMin=function(xValue){assertIsNumber(xValue,"Min x value to set is not a number: "+xValue);this.xMin=xValue;}
DragHelper.prototype.setXMax=function(xValue){assertIsNumber(xValue,"Max x value to set is not a number: "+xValue);this.xMax=xValue;}
DragHelper.prototype.addDragException=function(element){assertDefined(element,"Element is undefined");this.exceptions[this.exceptions.length]=element;}
DragHelper.prototype.createMouseUpListener=function(){var thisObject=this;return function(e){thisObject.upHandler(e)};}
DragHelper.prototype.createMouseMoveListener=function(){var thisObject=this;return function(e){thisObject.moveHandler(e)};}
DragHelper.prototype.isException=function(event){var target=this.getEventTarget(event);for(var i=0;i<this.exceptions.length;i++){if(target==this.exceptions[i]){return true;}}
return false;}
DragHelper.prototype.initDragHelper=function(){if(!isDefined(this.dragHelper)){this.createDragHelper();}
this.fitDragHelper();this.originalElement=this.dragElement;this.dragElement=this.dragHelper;this.setDragHelperZIndex();this.showDragHelper()
this.useDragHelper=true;this.dragHelperInited=true;}
DragHelper.prototype.createDragHelper=function(){this.dragHelper=document.createElement("div");setClass(this.dragHelper,"dragHelper");document.body.appendChild(this.dragHelper);}
DragHelper.prototype.fitDragHelper=function(){this.dragHelper.style.height=this.dragElement.offsetHeight+"px";this.dragHelper.style.width=this.dragElement.offsetWidth+"px";this.dragHelper.style.left=(parseInt(this.dragElement.style.left)-DRAG_HELPER_BORDER_SIZE)+"px";this.dragHelper.style.top=(parseInt(this.dragElement.style.top)-DRAG_HELPER_BORDER_SIZE)+"px";}
DragHelper.prototype.setDragHelperZIndex=function(){if(this.originalElement.style.zIndex){var zIndex=parseInt(this.originalElement.style.zIndex)+1;}
else{zIndex=1;}
this.dragHelper.style.zIndex=zIndex;}
DragHelper.prototype.moveElementToHelper=function(element){if(isDefined(this.dragHelper)){this.originalElement.style.left=(parseInt(this.dragHelper.style.left)+DRAG_HELPER_BORDER_SIZE)+"px";this.originalElement.style.top=(parseInt(this.dragHelper.style.top)+DRAG_HELPER_BORDER_SIZE)+"px";}}
DragHelper.prototype.hideDragHelper=function(){if(isDefined(this.dragHelper)){this.dragHelper.style.display="none";this.dragHelper.style.zIndex=0;this.dragHelperInited=false;}}
DragHelper.prototype.showDragHelper=function(){this.dragHelper.style.display="inline";setClass(this.dragHelper,"dragHelper");}
function isWindow(objectToCheck){try{if(objectToCheck instanceof Window){return true;}}
catch(Error){return false;}
return false;}
function isProbeWindow(objectToCheck){try{if(objectToCheck instanceof ProbeWindow){return true;}}
catch(Error){return false;}
return false;}
function equalsIgnoreCase(compare){if(!isDefined(compare)){return false;}
var strToSearch=this.toLowerCase();compare=compare.toLowerCase();if(strToSearch==compare){return true;}
return false;}
String.prototype.equalsIgnoreCase=equalsIgnoreCase;function getParameterValue(request,parameter,delimiter){var value="";var start=0;var end=0;while(true){if(start>=request.length){break;}
end=request.indexOf(delimiter,start);if(end==-1){end=request.length;}
var keyValuePair=request.substring(start,end);if(keyValuePair.indexOf("/?")>=0){var parameterStart=request.indexOf("/?")+"/?".length;keyValuePair=keyValuePair.substring(parameterStart,keyValuePair.length);}
var valueStart=keyValuePair.indexOf("=");if(keyValuePair.indexOf(parameter)==0&&valueStart==parameter.length){value=keyValuePair.substring(valueStart+"=".length,keyValuePair.length);break;}
if(end==request.length){break;}
start=end+delimiter.length;}
return value;}
function replaceParameterValue(request,parameter,value,delimiter){var startIndex=request.indexOf(delimiter+parameter+"=");if(startIndex==-1){return request;}
var endIndex=request.indexOf(delimiter,startIndex+1);var endPart="";if(endIndex>-1){endPart=request.substring(endIndex,request.length);}
return request.substring(0,startIndex)+delimiter+parameter+"="+(value+"")+endPart;}
function hasParameter(request,parameter,delimiter){if(!isDefined(request)){return false;}
var startIndex=request.indexOf(delimiter+parameter+"=");if(startIndex>-1){return true;}
return false;}
function replace(string,replaceString,replaceWith){assertDefined(string,"String is undefined, null or empty");assertDefined(replaceString,"ReplaceString is undefined, null or empty");assertDefined(replace,"ReplaceWith is undefined, null or empty");var startIndex=string.indexOf(replaceString);if(startIndex==-1){return string;}
var oldString=string;string=oldString.substring(0,startIndex);string+=replaceWith;string+=oldString.substring(startIndex+replaceString.length);return string;}
function trimTabs(string){assertNotEmpty(string,"The string to trim tabs in is undefined, null or empty");var newString="";var index=0;while(true){if(index==string.length){break;}
if(string.charAt(index)!="\t"){newString+=string.charAt(index);}
index++;}
return newString;}
function trimNewLines(string){assertNotEmpty(string,"The string to trim tabs in is undefined, null or empty");var newString="";var index=0;while(true){if(index==string.length){break;}
if(string.charAt(index)!="\n"){newString+=string.charAt(index);}
index++;}
return newString;}
function ImagePreloader(images){assertDefined(images,"Images to preload not defined");this.images=images;this.imagesLoaded=0;}
ImagePreloader.prototype.start=function(){for(var i=0;i<this.images.length;i++){var image=new Image();image.src=this.images[i];}}
var MIN_PORT_NUMBER=0;var MAX_PORT_NUMBER=65535;var MIN_IP_ADDRESS=0;var MAX_IP_ADDRESS=255;function isBrowserSupported(){var nonSupportedBrowsers=new Array();nonSupportedBrowsers[0]="Konqueror";for(var i=0;i<nonSupportedBrowsers.length;i++){if(navigator["appName"]==nonSupportedBrowsers[i]){return false;}}
return true;}
function removeNullEntries(table){assertDefined(table,"The table to remove null entries from is not defined");var newTable=new Array();var count=0;var len=table.length;for(var i=0;i<len;i++){if(isDefined(table[i])&&!isNull(table[i])){newTable[count]=table[i];count++;}}
return newTable;}
function uniqueInteger(){if(!isDefined(uniqueInteger.counter)){uniqueInteger.counter=0;}
return uniqueInteger.counter++;}
function randomInteger(min,max){if(isNaN(parseInt(min))||parseInt(min)<0){throw new IllegalArgumentException("Invalid min value");}
if(isNaN(parseInt(max))||parseInt(max)<0){throw new IllegalArgumentException("Invalid max value");}
min=parseInt(min);max=parseInt(max);if(min>=max){throw new IllegalArgumentException("Min is equal to or larger than max");}
return Math.floor((max-min-1)*Math.random())+min;}
function containsElement(array,key){assertDefined(array,"Array is undefined or null");assertDefined(key,"Key is undefined or null");for(arrayElement in array){if(key==arrayElement){return true;}}
return false;}
function isFloat(string){var numberValue=parseFloat(string);if(isNaN(numberValue)){return false;}
var index=string.indexOf(",");if(index>=0){return true;}
index=string.indexOf(".");if(index>=0){return true;}
return false;}
function roundNumber(number,decimalCount){var result=Math.round(number*Math.pow(10,decimalCount))/Math.pow(10,decimalCount);return result;}
function URLDecode(str){str=decodeURIComponent(str).replace(/\+/g," ");return str;}
function isValidPortIdString(port){assertNotEmpty(port,"Port to check is undefined, null or empty: "+port);var startIndex=0;var endIndex=0;while(true){if(startIndex==-1){break;}
var endIndex=port.indexOf(".",startIndex+".".length);if(endIndex==-1){endIndex=port.length;}
var portNumber=parseInt(port.substring(startIndex,endIndex));if(!isValidPort(portNumber)){return false;}
if(endIndex==port.length){break;}
startIndex=endIndex+".".length;}
return true;}
function isValidPort(port){return port>=MIN_PORT_NUMBER&&port<=MAX_PORT_NUMBER;}
function validPortNumbers(port){if(isEmpty(port)){return false;}
var tokenizer=new StringTokenizer(port,".");while(true){if(!tokenizer.hasMoreTokens()){break;}
var numberString=tokenizer.nextToken();if(isEmpty(numberString)&&!tokenizer.hasMoreTokens()){return true;}
else if(isEmpty(numberString)){return false;}
if(!isValidPort(numberString)){return false;}}
return true;}
function isValidIpAddress(address){assertNotEmpty(address,"Ip address to check is undefined, null or empty: "+address);var startIndex=0;var endIndex=0;var counter=0;while(true){if(startIndex==-1){break;}
counter++;var endIndex=address.indexOf(".",startIndex+".".length);if(endIndex==-1){endIndex=address.length;}
if(!isValidIpAddressNumber(address.substring(startIndex,endIndex))){return false;}
if(endIndex==address.length){break;}
startIndex=endIndex+".".length;}
if(counter!=4){return false;}
return true;}
function isValidIpAddressNumber(numberString){if(isEmpty(numberString)||!isNumberString(numberString)){return false;}
var addressNumber=parseInt(numberString);if(addressNumber<MIN_IP_ADDRESS||addressNumber>MAX_IP_ADDRESS){return false;}
return true;}
function validIpNumbers(ip){if(isEmpty(ip)){return false;}
var tokenizer=new StringTokenizer(ip,".");while(true){if(!tokenizer.hasMoreTokens()){break;}
var numberString=tokenizer.nextToken();if(isEmpty(numberString)&&!tokenizer.hasMoreTokens()){return true;}
else if(isEmpty(numberString)){return false;}
if(!isValidIpAddressNumber(numberString)){return false;}}
return true;}
function isValidMac(address){if(address==null||address.length<11||address.length>17){return false;}
if(countChar(address,':')!=5){return false;}
if(address.charAt(0)==':'||address.charAt(address.length-1)==':'){return false;}
for(i=0;i<address.length;i++){c=address.charAt(i);if(c!=':'&&!isHexDigit(c)){return false;}}
digits=0;colons=0;for(i=0;i<address.length;i++){c=address.charAt(i);if(isHexDigit(c)){digits++;colons=0;}
else if(c==':'){digits=0;colons++;}
if(digits>2||colons>1){return false;}}
return true;}
function validMacNumbers(mac){if(isEmpty(mac)){return false;}
var tokenizer=new StringTokenizer(mac,":");while(true){if(!tokenizer.hasMoreTokens()){break;}
var numberString=tokenizer.nextToken();if(isEmpty(numberString)&&!tokenizer.hasMoreTokens()){return true;}
else if(isEmpty(numberString)){return false;}
if(!isValidMacNumber(numberString)){return false;}}
return true;}
function isValidMacNumber(mac){if(isEmpty(mac)){return false;}
for(i=0;i<mac.length;i++){c=mac.charAt(i);if(c!=':'&&!isHexDigit(c)){return false;}}
return true;}
function countChar(text,c){count=0;for(i=0;i<text.length;i++){count+=(text.charAt(i)==c?1:0);}
return count;}
function isHexDigit(c){return(c>='0'&&c<='9')||(c>='A'&&c<='F')||(c>='a'&&c<='f');}
function selectInSelector(selector,value){assertDefined(selector,"Selector is undefined or null");assertExists(value,"Value to select in selector is undefined or null");var index=getIndexInSelector(selector,value);if(index>-1){selector.selectedIndex=index;}}
function getOptionIndex(text,select){assertNotEmpty(text,"Text to search for is undefined null or empty");assertExists(select,"The select tag to search in is undefined null or empty");for(var i=0;i<select.options.length;i++){if(select.options[i].text==text){return i;}}
return-1;}
function deleteOptions(select){var options=select.options;for(var i=options.length-1;i>=0;i--){select.remove(options[i]);if(isSafari()){select.options[i]=undefined;}}}
function getIndexInSelector(selector,value){var len=selector.options.length;for(var i=0;i<len;i++){if(value==selector.options[i].getAttribute("value")){return i;}}
return-1;}
function removeOption(value,selector){assertExists(selector,"Selector is undefined or null");assertNotEmpty(value,"Value is undefined or empty");var index=getIndexInSelector(selector,value);if(index>-1){selector.remove(index);}}
function replaceOption(newOption,index,select){assertExists(newOption,"The new option is null or undefined");assertNotNegative(index,"The index is negative");assertExists(select,"The select tag to replace the option in is undefined or null");if(index<select.options-1){throw new Error("The index is larger than the option count");}
select.removeChild(select.options[index]);select.insertBefore(newOption,select.options[index]);}
function containsErrorMessage(xml){assertExists(xml,"Xml data is undefined, null or empty");var error=xml.getElementsByTagName("error")[0];if(isDefined(error)&&!isNull(error)){return true;}
return false;}
function containsSuccessMessage(xml){assertExists(xml,"Xml data is undefined, null or empty");var success=xml.getElementsByTagName("success")[0];if(isDefined(success)&&!isNull(success)){return true;}
return false;}
function containsNoAccessMessage(xml){assertExists(xml,"Xml data is undefined, null or empty");var noAccess=xml.getElementsByTagName("noaccess")[0];if(exists(noAccess)){return true;}
return false;}
function getErrorMessage(xml){assertExists(xml,"Xml data is undefined null or empty");var message=xml.getElementsByTagName("message")[0];var error=exists(message)?message.getElementsByTagName("error")[0]:null;if(!exists(error)||!isDefined(error.firstChild)||error.firstChild.nodeType!=3){return"";}
return error.firstChild.nodeValue;}
function getSuccessMessage(xml){var message=xml.getElementsByTagName("message")[0];var success=exists(message)?message.getElementsByTagName("success")[0]:null;if(!exists(success)||!isDefined(success.firstChild)||success.firstChild.nodeType!=3){return;}
return success.firstChild.nodeValue;}
function arrayCopy(source,destination){assertExists(source,"Source array to copoy from does not exist");assertExists(destination,"The destinaion array to copy to does not exist");for(var i=0;i<source.length;i++){destination[destination.length]=source[i];}}
function toNumber(numberString){assertNotEmpty(numberString,"The string to convert to a number is undefined, null or empty, "+numberString);var index=numberString.indexOf(",");if(index>-1){numberString=numberString.replace(",",".");}
return Number(numberString);}
function assertTrue(value,message){assertExists(value,"The value to check does not exist");if(value!=true){throw new Error(message!=null?message:"");}}
function assertNotNegative(number,message){assertExists(number,"The value does  not exist");assertIsNumber(number,message);if(isNegative(number)){throw new Error(message!=null?message:"");}}
function assertIsNumber(value,message){assertExists(value,"The value does  not exist");if(!isNumber(value)){throw new Error(message!=null?message:"");}}
function assertNotEmpty(string,message){assertDefined(string,message);if(isEmpty(string)){throw new Error(message!=null?message:"");}}
function assertExists(value,message){if(!exists(value)){throw new Error(message!=null?message:"");}}
function assertDefined(value,message){if(value==undefined||value==null){throw new Error(message!=null?message:"");}}
function assertNotNull(value,message){assertDefined(value,"Value is undefined");if(isNull(value)){throw new Error(message!=null?message:"");}}
function exists(value){if(value==undefined||value==null){return false;}
return true;}
function isNegative(number){if(isString(number)&&isNumberString(number)){number=parseInt(number);}
if(number<0){return true;}
return false;}
function isNumber(number){assertExists(number,"Number is undefined or null");if(isNaN(number)){return false;}
return typeof(number)=="number";}
function isInteger(int){assertExists(int,"The integer to check is undefined or null");if(!isNumber(int)){return false;}
var intString=int.toString();for(var i=0;i<intString.length;i++){var c=intString.charAt(i);if(!isDigit(c)&&c!="-"){return false;}}
return true;}
function isDigit(c){return((c>="0")&&(c<="9"))}
function isString(variable){assertExists(variable,"The variable does not exist");return"string"==typeof(variable);}
function isNumberString(string){assertDefined(string,"String to check is undefined or null: "+string);var numberValue=string*1;if(isNaN(numberValue)||isEmpty(string)){return false;}
return true;}
function isIntString(string){assertDefined(string,"String to check is undefined or null: "+string);if(string.length==0){return false;}
for(var i=0;i<string.length;i++){var c=string.charAt(i);if(!isDigit(c)&&c!="-"){return false;}}
return true;}
function isEmpty(string){if(isNull(string)){return true;}
if(!isDefined(string)){return true;}
if(string.length==0||trim(string).length==0){return true;}
return false;}
function trim(string){assertDefined(string,"String to trim is undefiend");string=leftTrim(string);return rightTrim(string);}
function leftTrim(string){while(string.substring(0,1)==' '){string=string.substring(1,string.length);}
return string;}
function rightTrim(string){while(string.substring(string.length-1,string.length)==' '){string=string.substring(0,string.length-1);}
return string;}
function isDefined(variable){if(arguments.length==2){if(arguments[1]==undefined){return false;}
return(typeof(eval(arguments[1])[variable])!='undefined');}
else{return(typeof(variable)=="undefined")?false:true;}
return false;}
function isNull(variable){return typeof variable=='object'&&!variable;}
function createValueList(xmlDoc,entryName,valueName,valueName2){var list="";var entries=xmlDoc.getElementsByTagName(entryName);var len=entries.length;for(var i=0;i<len;i++){if(valueName==entries[i].getElementsByTagName(valueName)[0].tagName){list+=entries[i].getElementsByTagName(valueName)[0].firstChild.data;}
if(isDefined(valueName2)&&valueName2==entries[i].getElementsByTagName(valueName2)[0].tagName){list+=" - "+entries[i].getElementsByTagName(valueName2)[0].firstChild.data;}
if(i<entries.length-1){list+=",";}}
return list;}
function maxValue(xmlDoc,entryName,valueName){var max=0;var entries=xmlDoc.getElementsByTagName(entryName);var len=entries.length;for(var i=0;i<len;i++){if(valueName!=entries[i].getElementsByTagName(valueName)[0].tagName){continue;}
var value=parseInt(entries[i].getElementsByTagName(valueName)[0].firstChild.data);if(value>max){max=value;}}
return max;}
function getTagNodeValue(name,xmlDocument){assertNotEmpty(name,"Tag name is undefined, null or empty");assertDefined(xmlDocument,"XmlDocument to get the tag from is undefined or null");var tags=xmlDocument.getElementsByTagName(name);if(tags.length==0){return"";}
var tag=tags[0];if(!isDefined(tag)||isNull(tag)){return"";}
if(!isDefined(tag.firstChild)||isNull(tag.firstChild)){return"";}
if(!isDefined(tag.firstChild.nodeValue)||isNull(tag.firstChild.nodeValue)){return"";}
return tag.firstChild.nodeValue;}
function getTagNodeValues(name,xmlDocument){assertNotEmpty(name,"Tag name is undefined, null or empty");assertDefined(xmlDocument,"XmlDocument to get the tag from is undefined or null");var tags=xmlDocument.getElementsByTagName(name);if(tags.length==0){return null;}
var values=new Array();for(var i=0;exists(tags)&&i<tags.length;i++){var tag=tags[i];if(!isDefined(tag)||isNull(tag)){continue;}
if(!isDefined(tag.firstChild)||isNull(tag.firstChild)){continue;}
if(!isDefined(tag.firstChild.nodeValue)||isNull(tag.firstChild.nodeValue)){continue;}
values[i]=tag.firstChild.nodeValue;}
return values.length==0?null:values;}
function containsXmlTag(name,xmlDocument){assertNotEmpty(name,"Tag name is undefined, null or empty");assertDefined(xmlDocument,"XmlDocument to get the tag from is undefined or null");var tags=xmlDocument.getElementsByTagName(name);if(tags.length==0){return false;}
return true;}
function xmlToString(xmlToConvert){assertExists(xmlToConvert,"Xml to convert into a string is undefined or null");try{var xmlSerializer=new XMLSerializer();return xmlSerializer.serializeToString(xmlToConvert);}
catch(Error){return xmlToConvert.xml;}}
var MOUSE_OVER_PROPERTY="mouseOver";var MOUSE_OVER_LEFT_CLASS_PROPERTY="mouseOverLeftClass";var MOUSE_OVER_MIDDLE_CLASS_PROPERTY="mouseOverMiddleClass";var MOUSE_OVER_MIDDLE_CLASS_ACTIVE_PROPERTY="mouseOverMiddleClassActive";var MOUSE_OVER_RIGHT_CLASS_PROPERTY="mouseOverRightClass";var TAB_SECTION_CLASS="tabSectionClass";var TAB_FRAME="tabFrame";var TABS_BAR="tabsBar";var LOAD_ONCLICK="LoadOnClick";var TAB_SECTION_PARENT_ELEMENT="tabSectionParent";var TABCONTAINER_CLASS="tabContainerClass";var TAB_CLASS="tabClass";var FRAME_CLASS="frameClass";var INACTIVE_FRAME_CLASS="inactiveFrameClass";var ACTIVE_FRAME_CLASS="activeFrameClass";var FRAME_SCROLLBAR="scrollbarof";var LOADING_IMAGE="loadingImage";var LOADING_SCREEN_CLASS="loadingScreenClass";var LOADING_IMAGE_CLASS="loadingImageClass";var ICON_CLASS="iconClass";var IMAGES_DIRECTORY="themes/black/images/";TabSection.prototype.getProperty=GetProperty;Tab.prototype.getProperty=GetProperty;function TabSection(tabs,properties){assertDefined(tabs,"Tabs is undefined or null");this.tabs=new Array();for(var i=0;i<tabs.length;i++){var tab=tabs[i];this.tabs[i]=new Tab(tab["name"],tab["text"],tab["icon"],tab["inactive_icon"],tab["url"],this,tab["properties"]);}
this.properties=properties;this.history;this.activeTab;}
TabSection.prototype.getActiveTab=function(){return this.activeTab;}
function Tab(name,text,icon,inactiveIcon,url,tabSection,properties){assertDefined(name,"Name to set for the tab is undefined, null or empty: "+name);assertDefined(text,"Text is undefined, null or empty: "+text);this.name=name;this.properties=properties;this.tabSection=tabSection;if(url!=undefined){this.url=url;}
else{this.url=this.getProperty(TAB_FRAME).src;}
this.icon=icon;this.inactiveIcon=inactiveIcon;this.preloadIcons();this.text=text;this.mouseover=false;this.loaded=false;this.height;}
Tab.prototype.preloadIcons=function(){var preloadedGraphics=new Array();if(isDefined(this.icon)){preloadedGraphics[preloadedGraphics.length]=this.icon;}
if(isDefined(this.inactiveIcon)){preloadedGraphics[preloadedGraphics.length++]=this.inactiveIcon;}
if(preloadedGraphics.length>0){var imagePreloader=new ImagePreloader(preloadedGraphics);imagePreloader.start();}}
Tab.prototype.isLoaded=function(){return this.loaded;}
Tab.prototype.setUrl=function(url){assertNotEmpty(url,"The url to set is undefined, null or empty");this.url=url;if(this.loaded==true){this.frame.src=url;}}
Tab.prototype.getName=function(){return this.name;}
Tab.prototype.activate=function(){this.tabSection.setClass(this.name,"active_left","active_bg","active_right");if(isDefined(this.loadingFrame)){document.body.removeChild(this.loadingFrame);this.loadingFrame=undefined;this.loading=false;}
if(this.getProperty(LOAD_ONCLICK)&&this.loaded==false){this.tabSection.appendIframe(this);this.tabSection.loadIframeContent(this);}
if(this.name=="TrafficStatistics"||this.name=="TrafficLog"){this.tabSection.activateIFrame(this);}
if(!this.loading||!this.getProperty(LOADING_IMAGE)){this.tabSection.activateIFrame(this);this.tabSection.notifyActivatedTab();}}
Tab.prototype.deactivate=function(){this.tabSection.setClass(this.name,"inactive_left","inactive_bg","inactive_right");if(this.loading){setClass(this.loadingFrame,"inactive");}
this.tabSection.deactivateIFrame(this);}
TabSection.prototype.getTab=function(name){if(this.tabs==undefined){return undefined;}
for(var i=0;i<this.tabs.length;i++){if(name==this.tabs[i].name){return this.tabs[i];}}
return undefined;}
Tab.prototype.showLoading=function(tab){this.loading=true;this.initLoadingFrame();this.tabSection.deactivateIFrame(this);}
Tab.prototype.initLoadingFrame=function(){this.loadingFrame=document.createElement("div");this.setLoadingFrameClass();var loadingImage=document.createElement("img");loadingImage.setAttribute("name","loadingImage");if(this.getProperty(LOADING_IMAGE_CLASS)){setClass(loadingImage,this.getProperty(LOADING_IMAGE_CLASS));}
loadingImage.src=this.getProperty(LOADING_IMAGE);this.loadingFrame.appendChild(loadingImage);this.loadingFrame.innerHTML+="<center><br><br><font size=2>Loading...</font></center>";document.body.appendChild(this.loadingFrame);}
Tab.prototype.setLoadingFrameClass=function(){if(this.getProperty(LOADING_SCREEN_CLASS)){setClass(this.loadingFrame,this.getProperty(LOADING_SCREEN_CLASS));}
else{setClass(this.loadingFrame,"active");}}
Tab.prototype.doneLoading=function(){this.loading=false;this.height="";if(!this.tabSection.isActive(this.name)){return;}
if(isDefined(this.loadingFrame)){document.body.removeChild(this.loadingFrame);this.loadingFrame=undefined;}
this.tabSection.activateIFrame(this);this.tabSection.notifyActivatedTab();}
TabSection.prototype.isActive=function(name){if(this.activeTab!=undefined&&name==this.activeTab.name){return true;}
return false;}
TabSection.prototype.activateTab=function(name){if(isDefined(this.activeTab)&&this.activeTab.name==name){return;}
var activeTab=this.activeTab;this.activeTab=this.getTab(name);if(isDefined(activeTab)){activeTab.deactivate();}
this.activeTab.activate();if(isDefined(activeTab)){this.notifyDeactivatedTab(activeTab.name);}}
TabSection.prototype.activateIFrame=function(tab){if(tab.getProperty(ACTIVE_FRAME_CLASS)!=undefined){tab.frame.setAttribute("class",tab.getProperty(ACTIVE_FRAME_CLASS));tab.frame.setAttribute("className",tab.getProperty(ACTIVE_FRAME_CLASS));}
tab.frame.style.height=tab.height;}
TabSection.prototype.notifyActivatedTab=function(){var tabActivated;try{tabActivated=window.frames[this.activeTab.name].tabActivated;}
catch(e){}
if(this.activeTab!=undefined&&window.frames[this.activeTab.name]&&exists(tabActivated)){window.frames[this.activeTab.name].tabActivated(this.activeTab.name);}
this.fireActivatedEvent(this.activeTab.getName());}
TabSection.prototype.notifyDeactivatedTab=function(name){var tabDeactivated;try{tabDeactivated=window.frames[name].tabDeactivated;}
catch(e){}
if(name!=undefined&&window.frames[name]&&exists(tabDeactivated)){window.frames[name].tabDeactivated(name);}
this.fireDeactivatedEvent(name);}
TabSection.prototype.deactivateIFrame=function(tab){if(tab.getProperty(INACTIVE_FRAME_CLASS)!=undefined){tab.frame.setAttribute("class",tab.getProperty(INACTIVE_FRAME_CLASS));tab.frame.setAttribute("className",tab.getProperty(INACTIVE_FRAME_CLASS));}
tab.height=tab.frame.height;if(tab.height!=undefined&&(!isEmpty(tab.height))){tab.frame.height="";}
else{tab.height=tab.frame.style.height;}
tab.frame.style.height="0px";}
TabSection.prototype.changeClass=function(className,tabName){assertNotEmpty(className,"Class to set for the tab is empty");assertNotEmpty(tabName,"TabName is undefined, null or empty");var tab=this.getTab(tabName);if(!exists(tab)){return;}
tab.properties[TAB_CLASS]=className;var tabCode=getElementWithAttribute(this.tabSection,tabName,"name","div");setClass(tabCode,className);}
TabSection.prototype.setClass=function(name,left,middle,right){assertNotEmpty(name,"Name is undefined, empty or null: "+name);assertNotEmpty(left,"Left is undefined, empty or null: "+left);assertNotEmpty(middle,"Middle is undefined, empty or null: "+middle);assertNotEmpty(right,"Right is undefined, empty or null: "+right);var tab=this.getTab(name);var tabCode=getElementWithAttribute(this.tabSection,name,"name","div");this.setLeftClass(name,left);this.setMiddleClass(name,middle);this.setRightClass(name,right);}
TabSection.prototype.setLeftClass=function(name,left){assertNotEmpty(name,"Name is undefined, empty or null: "+name);assertNotEmpty(left,"Left is undefined, empty or null: "+left);var tabCode=getElementWithAttribute(this.tabSection,name,"name","div");var leftPart=getElementWithAttribute(tabCode,"leftTab","name","div");leftPart.setAttribute("class",left);leftPart.setAttribute("className",left);}
TabSection.prototype.setMiddleClass=function(name,middle){assertNotEmpty(name,"Name is undefined, empty or null: "+name);assertNotEmpty(middle,"Middle is undefined, empty or null: "+middle);var tabCode=getElementWithAttribute(this.tabSection,name,"name","div");var middlePart=getElementWithAttribute(tabCode,"middleTab","name","div");middlePart.setAttribute("class",middle);middlePart.setAttribute("className",middle);}
TabSection.prototype.setRightClass=function(name,right){assertNotEmpty(name,"Name is undefined, empty or null: "+name);assertNotEmpty(right,"Right is undefined, empty or null: "+right);var tabCode=getElementWithAttribute(this.tabSection,name,"name","div");var rightPart=getElementWithAttribute(tabCode,"rightTab","name","div");rightPart.setAttribute("class",right);rightPart.setAttribute("className",right);}
TabSection.prototype.getLeftMouseOverClass=function(tab){var leftClass;if(tab.getProperty(MOUSE_OVER_LEFT_CLASS_PROPERTY)){leftClass=tab.getProperty(MOUSE_OVER_LEFT_CLASS_PROPERTY);}
else{leftClass="active_left";}
return leftClass;}
TabSection.prototype.getMiddleMouseOverClass=function(tab){var middleClass;if(this.isActive(tab.name)&&tab.getProperty(MOUSE_OVER_MIDDLE_CLASS_ACTIVE_PROPERTY)){middleClass=tab.getProperty(MOUSE_OVER_MIDDLE_CLASS_ACTIVE_PROPERTY);}
else if(!this.isActive(tab.name)&&tab.getProperty(MOUSE_OVER_MIDDLE_CLASS_PROPERTY)){middleClass=tab.getProperty(MOUSE_OVER_MIDDLE_CLASS_PROPERTY);}
else{middleClass="active_bg";}
return middleClass;}
TabSection.prototype.getRightClass=function(tab){if(tab.mouseover){return this.getRightMouseOverClass(tab);}
else if(this.isActive(tab.name)){return"active_right";}
else{return"inactive_right";}}
TabSection.prototype.getRightMouseOverClass=function(tab){var rightClass;if(tab.getProperty(MOUSE_OVER_RIGHT_CLASS_PROPERTY)){rightClass=tab.getProperty(MOUSE_OVER_RIGHT_CLASS_PROPERTY);}
else{rightClass="active_right";}
return rightClass;}
TabSection.prototype.getTabContainerClass=function(){var containerClass=this.getProperty(TABCONTAINER_CLASS);if(containerClass==undefined){containerClass="tabs";}
return containerClass;}
TabSection.prototype.getTabClass=function(tab){var tabClass=tab.getProperty(TAB_CLASS);if(tabClass==undefined){tabClass="tab";}
return tabClass;}
TabSection.prototype.mouseOver=function(name){var tab=this.getTab(name);tab.mouseover=true;var leftClass=this.getLeftMouseOverClass(tab);var middleClass=this.getMiddleMouseOverClass(tab);var rightClass=this.getRightClass(tab);this.setClass(name,leftClass,middleClass,rightClass);}
TabSection.prototype.mouseOut=function(name){if(this.isActive(name)){this.setClass(name,"active_left","active_bg","active_right");}
else{this.setClass(name,"inactive_left","inactive_bg","inactive_right");}
var tab=this.getTab(name);tab.mouseover=false;}
TabSection.prototype.paint=function(){this.tabSection=this.createTabSection();this.tabContainer=this.createTabContainer();this.tabSection.appendChild(this.tabContainer);for(var i=0;i<this.tabs.length;i++){this.tabContainer.appendChild(this.createTab(this.tabs[i]));}
if(this.getProperty(TABS_BAR)){this.tabSection.appendChild(this.createTabsBar());}
this.appendTabSection();}
TabSection.prototype.appendTabSection=function(){var parent=this.getProperty(TAB_SECTION_PARENT_ELEMENT);if(parent!=undefined){parent.appendChild(this.tabSection);return;}
if(document.body.firstChild){document.body.insertBefore(this.tabSection,document.body.firstChild);}
else{document.body.appendChild(this.tabSection);}}
TabSection.prototype.createTabsBar=function(){var tabsBar=document.createElement("div");tabsBar.setAttribute("name","tabsBar");tabsBar.setAttribute("class","tabs_bar");tabsBar.setAttribute("className","tabs_bar");return tabsBar;}
TabSection.prototype.createTab=function(tab){var tabCode=this.createTabCode(tab);if(tab.getProperty(TAB_FRAME)!=undefined){tab.frame=tab.getProperty(TAB_FRAME);}
else{this.createIframe(tab);}
this.deactivateIFrame(tab);return tabCode;}
TabSection.prototype.appendIframe=function(tab){document.body.appendChild(tab.frame);}
TabSection.prototype.createIframe=function(tab){tab.frame=document.createElement("iframe");tab.frame.setAttribute("name",tab.name);tab.frame.setAttribute("value","test");tab.frame.name=tab.name;tab.frame.setAttribute("id",tab.name);this.addFrameScrollbar(tab);this.setFrameClass(tab);if(!tab.getProperty(LOAD_ONCLICK)){this.appendIframe(tab);this.loadIframeContent(tab);}
tab.frame.setAttribute("frameBorder","0");}
TabSection.prototype.addFrameScrollbar=function(tab){if("on"==tab.getProperty(FRAME_SCROLLBAR)){tab.frame.setAttribute("scrolling","yes");}
else if("off"==tab.getProperty(FRAME_SCROLLBAR)){tab.frame.setAttribute("scrolling","no");}}
TabSection.prototype.loadIframeContent=function(tab){if(tab.getProperty(LOADING_IMAGE)){tab.showLoading();}
tab.frame.setAttribute("src",tab.url);tab.loaded=true;}
TabSection.prototype.setFrameClass=function(tab){if(tab.getProperty(FRAME_CLASS)){tab.frame.setAttribute("class",tab.getProperty(FRAME_CLASS));tab.frame.setAttribute("className",tab.getProperty(FRAME_CLASS));}}
TabSection.prototype.createTabCode=function(tab){var tabDiv=document.createElement("div");var tabClass=this.getTabClass(tab);tabDiv.setAttribute("name",tab.name);tabDiv.setAttribute("class",tabClass);tabDiv.setAttribute("className",tabClass);tabDiv.appendChild(this.createLeft());tabDiv.appendChild(this.createMiddle(tab));tabDiv.appendChild(this.createRight(tab));var tabSection=this;if(tab.getProperty(MOUSE_OVER_PROPERTY)){tabDiv.onmouseover=function(){tabSection.mouseOver(tab.name);}
tabDiv.onmouseout=function(){tabSection.mouseOut(tab.name);}}
tabDiv.onclick=function(){tabSection.activateTab(tab.name);}
return tabDiv;}
TabSection.prototype.createLeft=function(){var left=document.createElement("div");left.setAttribute("name","leftTab");left.setAttribute("class","inactive_left");left.setAttribute("className","inactive_left");return left;}
TabSection.prototype.createRight=function(tab){var right=document.createElement("div");right.setAttribute("name","rightTab");right.setAttribute("class","inactive_right");right.setAttribute("className","inactive_right");return right;}
TabSection.prototype.createMiddle=function(tab){var middle=document.createElement("div");middle.setAttribute("align","middle");middle.setAttribute("name","middleTab");middle.setAttribute("class","inactive_bg");middle.setAttribute("className","inactive_bg");var middleTable=document.createElement("table");middle.appendChild(middleTable);var tbody=document.createElement("tbody");middleTable.appendChild(tbody);if(isDefined(tab.getProperty(ICON_CLASS))){var imageTr=document.createElement("tr");tbody.appendChild(imageTr);var imageTd=document.createElement("td");imageTr.appendChild(imageTd);var middleDiv=document.createElement("div");setClass(middleDiv,tab.getProperty(ICON_CLASS));imageTd.appendChild(middleDiv);}
var textTr=document.createElement("tr");tbody.appendChild(textTr);var textTd=document.createElement("td");textTr.appendChild(textTd);textTd.appendChild(document.createTextNode(tab.text))
return middle;}
TabSection.prototype.createTabSection=function(){var tabSection=document.createElement("div");tabSection.setAttribute("name","tabSection");if(this.getProperty(TAB_SECTION_CLASS)){tabSection.setAttribute("class",this.getProperty(TAB_SECTION_CLASS));tabSection.setAttribute("className",this.getProperty(TAB_SECTION_CLASS));}
else{tabSection.setAttribute("class","tabSection");tabSection.setAttribute("className","tabSection");}
return tabSection;}
TabSection.prototype.createTabContainer=function(){var tabContainer=document.createElement("div");tabContainer.setAttribute("name","tabContainer");var containerClass=this.getTabContainerClass();tabContainer.setAttribute("class",containerClass);tabContainer.setAttribute("className",containerClass);return tabContainer;}
function GetProperty(property){assertNotEmpty(property,"Property to get is undefined, null or empty: "+property);if(this.properties==undefined){return undefined;}
for(prop in this.properties){if(property==prop){return this.properties[prop]}}
return undefined;}
TabSection.prototype.fireActivatedEvent=function(tab){if(!eventsAvailable()){return;}
getEventServer().notifyListeners(new Event("tabActivated",tab));}
TabSection.prototype.fireDeactivatedEvent=function(tab){if(!eventsAvailable()){return;}
getEventServer().notifyListeners(new Event("tabDeactivated",tab));}
function eventsAvailable(){try{if(isDefined(getEventServer)){return true;}}
catch(Error){return false;}
try{if(isDefined(Event)){return true;}}
catch(Error){return false;}
return true;}
var tabSection;var noAccessFrames=new Array();var showWindow="";function init(){initTabs();setResizeListener();initEventListener()}
function initTabs(){var sid=getElementWithAttribute(document.body,"sid","name","input").value;var tabs=new Array();var tabIndex=0;var MainProperties=createProperties();MainProperties[TAB_CLASS]="tab summaryTab";if(getMasterMode()){tabs[tabIndex]={name:"MasterMain",text:"",url:"/?resource=statistics.summary&mode=getpage&page=summary&sid="+sid,properties:MainProperties};}
else{tabs[tabIndex]={name:"Main",text:"",url:"/?resource=statistics.summary&mode=getpage&page=summary&sid="+sid,properties:MainProperties};}
tabIndex++;if(getMasterMode()){var currentProbeProp=createProperties();currentProbeProp[TAB_CLASS]="tab currentProbe";tabs[tabIndex]={name:"Main",text:"",url:"/?resource=statistics.summary&mode=getpage&page=summary&sid="+sid,properties:currentProbeProp};tabIndex++;}
var TrafficStatisticsProperties=createProperties();TrafficStatisticsProperties[TAB_CLASS]="tab trafficStatistics";TrafficStatisticsProperties[FRAME_CLASS]="trafficStatisticsFrame";TrafficStatisticsProperties[ACTIVE_FRAME_CLASS]="trafficStatisticsFrame";TrafficStatisticsProperties[INACTIVE_FRAME_CLASS]="inactiveAppletFrame";TrafficStatisticsProperties[FRAME_SCROLLBAR]="off";tabs[tabIndex]={name:"TrafficStatistics",text:"",url:"/?resource=statistics&mode=getpage&page=applet&sid="+sid,properties:TrafficStatisticsProperties};tabIndex++;var TrafficLogProperties=createProperties();TrafficLogProperties[TAB_CLASS]="tab trafficLog";TrafficLogProperties[FRAME_CLASS]="trafficLogFrame";TrafficLogProperties[ACTIVE_FRAME_CLASS]="trafficLogFrame";TrafficLogProperties[INACTIVE_FRAME_CLASS]="inactiveAppletFrame";TrafficLogProperties[FRAME_SCROLLBAR]="off";tabs[tabIndex]={name:"TrafficLog",text:"",url:"/?resource=datamanager&mode=getpage&page=logapplet&sid="+sid,properties:TrafficLogProperties};tabIndex++;var SetupProperties=createProperties();SetupProperties[TAB_CLASS]="tab setup";tabs[tabIndex]={name:"Setup",text:"",url:"/?resource=probemanager&mode=getpage&page=setup&sid="+sid,properties:SetupProperties};tabIndex++;var helpProperties=createProperties();helpProperties[TAB_CLASS]="tab help";helpProperties[LOADING_IMAGE]=undefined;tabs[tabIndex]={name:"Help",text:"",url:"doc/index.html",properties:helpProperties};tabIndex++;var feedbackProperties=createProperties();feedbackProperties[TAB_CLASS]="tab feedback";feedbackProperties[LOADING_IMAGE]=undefined;tabs[tabIndex]={name:"Feedback",text:"",url:"http://www.objectplanet.com/probe/feedback.html",properties:feedbackProperties};tabIndex++;var licenseProperties=createProperties();licenseProperties[TAB_CLASS]="inactive";licenseProperties[LOADING_IMAGE]=undefined;tabs[tabIndex]={name:"License",text:"",url:"http://support.objectplanet.com/licenser/generate_probe_test_key.jsp?hostid="+getHostId()+"&version="+getVersion(),properties:licenseProperties};tabIndex++;var properties=new Array();properties[TABS_BAR]=false;tabSection=new TabSection(tabs,properties);tabSection.paint();tabSection.getTab("Help").height=getWindowHeight(window)-36+"px";tabSection.getTab("License").height=getWindowHeight(window)-36+"px";tabSection.getTab("Feedback").height=getWindowHeight(window)-36+"px";tabSection.activateTab(getMasterMode()?"MasterMain":"Main");addSearchField();if(getMasterMode()){hideSearchField();}}
function createProperties(){var tabProperties=new Array();tabProperties[MOUSE_OVER_PROPERTY]=false;tabProperties[LOAD_ONCLICK]=true;tabProperties[FRAME_CLASS]="tabFrame";tabProperties[LOADING_IMAGE]="images/loading_big_blue.gif";tabProperties[LOADING_SCREEN_CLASS]="tabLoadingScreen";tabProperties[MOUSE_OVER_PROPERTY]=true;tabProperties[MOUSE_OVER_LEFT_CLASS_PROPERTY]="leftMouseOver";tabProperties[MOUSE_OVER_MIDDLE_CLASS_PROPERTY]="middleMouseOver";tabProperties[MOUSE_OVER_RIGHT_CLASS_PROPERTY]="rightMouseOver";tabProperties[MOUSE_OVER_MIDDLE_CLASS_ACTIVE_PROPERTY]="middleMouseOverActive";return tabProperties}
function setResizeListener(){window.onresize=positionElements;}
function positionElements(){if(isNoAccessTab()){setActiveNoAccessFrameSize();}
if(tabSection.isActive("TrafficStatistics")&&window.frames["TrafficStatistics"].positionApplet){window.frames["TrafficStatistics"].positionApplet();}
else if(tabSection.isActive("TrafficLog")&&window.frames["TrafficLog"].positionLogApplet){window.frames["TrafficLog"].positionLogApplet();}
else if(tabSection.isActive("Main")&&window.frames["Main"].windowResized){window.frames["Main"].windowResized();}
else if(tabSection.isActive("MasterMain")&&window.frames["MasterMain"].windowResized){window.frames["MasterMain"].windowResized();}
else if(tabSection.isActive("Setup")&&window.frames["Setup"].windowResized){window.frames["Setup"].windowResized();}
else if(tabSection.isActive("Help")){var parentWindow=window.parent;var iframeCode=getElementWithAttribute(parentWindow.document.body,"Help","name","iframe");var frameTopOffset=calculateTopOffset(iframeCode);var parentWindowHeight=getWindowHeight(top);var frameHeight=parentWindowHeight-frameTopOffset;iframeCode.style.height=frameHeight+"px";}}
function isNoAccess(name){if(isDefined(noAccessFrames[name])){return true;}
return false;}
function isNoAccessTab(){if(!isDefined(tabSection.getActiveTab())){return false;}
if(!isDefined(tabSection.getActiveTab().getName())){return false;}
if(isDefined(noAccessFrames[tabSection.getActiveTab().getName()])){return true;}
return false;}
function noAccessLoaded(url){var page=getParameterValue(url+"","page","&");if("summary"==page){page="Main";}
else if("applet"==page){page="TrafficStatistics";var logAppletFrame=getElementWithAttribute(window.document.body,"TrafficStatistics","name","iframe");setClass(logAppletFrame,"tabFrame");var tab=tabSection.getTab("TrafficStatistics");tab.properties[FRAME_CLASS]="tabFrame";tab.properties[ACTIVE_FRAME_CLASS]=undefined;tab.properties[INACTIVE_FRAME_CLASS]=undefined;}
else if("logapplet"==page){page="TrafficLog";var logAppletFrame=getElementWithAttribute(window.document.body,"TrafficLog","name","iframe");setClass(logAppletFrame,"tabFrame");var tab=tabSection.getTab("TrafficLog");tab.properties[FRAME_CLASS]="tabFrame";tab.properties[ACTIVE_FRAME_CLASS]=undefined;tab.properties[INACTIVE_FRAME_CLASS]=undefined;}
else if("setup"==page){page="Setup";}
if(top.tabSection){tabSection.getTab(page).doneLoading();}
noAccessFrames[page]=true;setNoAccessFrameSize(page);}
function setActiveNoAccessFrameSize(){setNoAccessFrameSize(tabSection.getActiveTab().getName());}
function setNoAccessFrameSize(name){var frame=getElementWithAttribute(document.body,name,"name","iframe");if(!isDefined(frame)||isNull(frame)){return;}
var frameHeight=getWindowHeight(top)-calculateTopOffset(frame);frame.style.height=frameHeight+"px";var frameWidth=getWindowWidth(top)-calculateLeftOffset(frame);frame.style.width=frameWidth+"px";}
function initEventListener(){var eventListener=new Listener();eventListener.addEvent("probeNameChanged",processProbeNameChangedEvent);eventListener.addEvent("tabActivated",processTabActivtedEvent);eventListener.addEvent("tabDeactivated",processTabDeactivatedEvent);}
function processProbeNameChangedEvent(event){var oldName=event.getData()["oldProbeName"];var newName=event.getData()["newProbeName"];if(oldName==newName||isEmpty(oldName)||isEmpty(newName)){return;}
document.title="Network Probe - ["+newName+"]";}
function processTabActivtedEvent(event){if("Help".equalsIgnoreCase(event.getData())){startKeepConnectionAlive();}
else if("Setup".equalsIgnoreCase(event.getData())){startKeepConnectionAlive();}
else if("TrafficLog".equalsIgnoreCase(event.getData())){startKeepConnectionAlive();}}
function processTabDeactivatedEvent(event){if("Help".equalsIgnoreCase(event.getData())){stopKeepConnectionAlive();}
else if("Setup".equalsIgnoreCase(event.getData())){stopKeepConnectionAlive();}
else if("TrafficLog".equalsIgnoreCase(event.getData())){stopKeepConnectionAlive();}}
var KILO_BYTE=1024;var MEGA_BYTE=1024*KILO_BYTE;var GIGA_BYTE=1024*MEGA_BYTE;var OCTET_DECIMAL_COUNT=1;var BITS="bit/s";var KBITS="Kbit/s";var MBITS="Mbit/s";var GBITS="Gbit/s";var LOG_SELECTOR_FRAME_INACTIVE_CLASS="inactiveLogSelector";function getSid(){var sid=getElementWithAttribute(top.document.body,"sid","name","input");if(isDefined(sid)&&!isNull(sid)){return sid.value;}
return"";}
function getServerAddress(){var addressField=getElementWithAttribute(document.body,"localAddress","name","input");if(isDefined(addressField)&&!isNull(addressField)){return addressField.value;}
return"";}
function getMasterMode(){var masterMode=getElementWithAttribute(top.document.body,"masterMode","name","input");if(isDefined(masterMode)&&!isNull(masterMode)&&"true"==masterMode.value){return true;}
return false;}
function getProbeName(){var probeNameField=getElementWithAttribute(document.body,"probeName","name","input");if(exists(probeNameField)){return probeNameField.value;}
return"";}
function formatOctetValue(value){if(value<KILO_BYTE){return value;}
else if(value<MEGA_BYTE){value=roundNumber((value/KILO_BYTE),OCTET_DECIMAL_COUNT)+" KB";}
else if(value<GIGA_BYTE){value=roundNumber((value/MEGA_BYTE),OCTET_DECIMAL_COUNT)+" MB";}
else{value=roundNumber((value/GIGA_BYTE),OCTET_DECIMAL_COUNT)+" GB";}
return value;}
function changeThroughputValueUnit(value,originalUnit,newUnit){assertIsNumber(value,"The value to change the unit for is not a number");assertNotEmpty(originalUnit,"The original unit is undefined null or empty");assertNotEmpty(newUnit,"The new unit is undefined null or empty");var newValue;if(BITS==originalUnit&&KBITS==newUnit){newValue=value/1000;}
else if(BITS==originalUnit&&MBITS==newUnit){newValue=value/(1000*1000);}
else if(BITS==originalUnit&&GBITS==newUnit){newValue=value/(1000*1000*1000);}
else if(KBITS==originalUnit&&MBITS==newUnit){newValue=value/1000;}
else if(KBITS==originalUnit&&GBITS==newUnit){newValue=value/(1000*1000);}
else if(MBITS==originalUnit&&GBITS==newUnit){newValue=value/1000;}
else if(GBITS==originalUnit&&MBITS==newUnit){newValue=value*1000;}
else if(GBITS==originalUnit&&KBITS==newUnit){newValue=value*(1000*1000);}
else if(GBITS==originalUnit&&BITS==newUnit){newValue=value*(1000*1000*1000);}
else if(MBITS==originalUnit&&KBITS==newUnit){newValue=value*1000;}
else if(MBITS==originalUnit&&BITS==newUnit){newValue=value*(1000*1000);}
else if(KBITS==originalUnit&&BITS==newUnit){newValue=value*1000;}
else{return value;}
if(newValue.toString().indexOf("e")>-1){var stringValue=newValue.toString();var startIndex=stringValue.indexOf("e");var exponent=stringValue.substring(startIndex,stringValue.length);exponent=exponent.substring(2);newValue=newValue.toFixed(parseInt(exponent));}
return newValue;}
function getVersion(){var version=getElementWithAttribute(top.document.body,"probeVersion","name","input");if(exists(version)){return version.value;}
return"";}
function getFormattedVersion(){var version=getVersion();if(isEmpty(version)){return"";}
var tokenizer=new StringTokenizer(version,".");var formatted="";while(true){if(!tokenizer.hasMoreTokens()){break;}
formatted+=tokenizer.nextToken();}
return formatted;}
function getHostId(){var hostid=getElementWithAttribute(top.document.body,"hostid","name","input");if(exists(hostid)){return hostid.value;}
return"";}
function isYpositionInDesktop(yPos){var screenHeight=Desktop.instance().getDesktopCode().offsetHeight;var scrollHeight=Desktop.instance().getDesktopCode().scrollHeight;if(scrollHeight>screenHeight){return scrollHeight>yPos;}
else{return screenHeight>yPos;}}
function isXPositionInDesktop(xPos){var screenWidth=Desktop.instance().getDesktopCode().offsetWidth;var scrollWidth=Desktop.instance().getDesktopCode().scrollWidth;if(scrollWidth>screenWidth){return scrollWidth>xPos;}
else{return screenWidth>xPos;}}
function calculateMaxYPos(){var screenHeight=Desktop.instance().getDesktopCode().offsetHeight;var scrollHeight=Desktop.instance().getDesktopCode().scrollHeight;if(scrollHeight>screenHeight){return scrollHeight;}
return screenHeight;}
function calculateMaxXPos(){var screenWidth=Desktop.instance().getDesktopCode().offsetWidth;var scrollWidth=Desktop.instance().getDesktopCode().scrollWidth;if(scrollWidth>screenWidth){return scrollWidth;}
return screenWidth;}
function isValidPassword(password,legal){if(isEmpty(legal)){legal="abcdefghijklmnopqrstuvwxyz1234567890 ";}
password=password.toLowerCase();for(i=0;i<password.length;i++){if(legal.indexOf(password.charAt(i))==-1){return false;}}
return true;}
function hideLogSelector(){var logSelectorFrame=getElementWithAttribute(top.document.body,"LogSelector","name","iframe");setClass(logSelectorFrame,LOG_SELECTOR_FRAME_INACTIVE_CLASS);}
function setFrameSize(name){var parentWindow=window.parent;var iframeCode=getElementWithAttribute(parentWindow.document.body,name,"name","iframe");if(isNull(iframeCode)){return;}
var frameTopOffset=calculateTopOffset(iframeCode);var parentWindowHeight=getWindowHeight(top);var frameHeight=parentWindowHeight-frameTopOffset;if(top.tabSection.isActive(name)&&loadingScreenRemoved&&frameHeight!=parseInt(iframeCode.style.height)){iframeCode.style.height=frameHeight+"px";}}
function slaveStatusText(status){if(isEmpty(status)){return"";}
if(status.equalsIgnoreCase(SLAVE_NO_CONTACT_STATUS)){return"No contact";}
else if(status.equalsIgnoreCase(SLAVE_PROBE_RUNNING_STATUS)){return"Running";}
else if(status.equalsIgnoreCase(SLAVE_PROBE_STOPPED_STATUS)){return"Stopped";}
else if(status.equalsIgnoreCase(SLAVE_SIMULATION_DONE_STATUS)){return"Simulation done";}
else if(status.equalsIgnoreCase(INVALID_SLAVE_PASSWORD_LOGIN)){return"Invalid password or login set";}
return"";}
function slaveStatusTextFieldClass(status){if(isEmpty(status)){return"statusNoContact";}
if(status.equalsIgnoreCase(SLAVE_NO_CONTACT_STATUS)){return"statusNoContact";}
else if(status.equalsIgnoreCase(SLAVE_PROBE_RUNNING_STATUS)){return"statusRunning";}
else if(status.equalsIgnoreCase(SLAVE_PROBE_STOPPED_STATUS)){return"statusStopped";}
else if(status.equalsIgnoreCase(SLAVE_SIMULATION_DONE_STATUS)){return"statusSimulationDone";}
else if(status.equalsIgnoreCase(INVALID_SLAVE_PASSWORD_LOGIN)){return"statusInvalidPasswordLogin";}
return"";}
function changeTopN(e,tableId,windowId,topNInputName){var tableWindow=WindowManager.instance().getWindow(windowId);var table=TableManager.instance().getTable(tableId);var topNInput=getElementWithAttribute(tableWindow.getHtmlCode(),exists(topNInputName)?topNInputName:"topN","name","input");var n=topNInput.value;if(n<=0){topNInput.value=table.getN();return;}
if(isNaN(parseInt(n))){topNInput.value=table.getN();return;}
var eventData=new Array();eventData["id"]=tableId;eventData["n"]=n;eventData["oldN"]=table.getN();getEventServer().notifyListeners(new Event("topNChanged",eventData));}
function StringTokenizer(string,delimiter){assertNotEmpty(string,"The string to use in the tokenizer is undefined, null or empty: "+string);assertNotEmpty(delimiter,"The delimiter to user in the tokenizer is undefined, null or empty: "+delimiter);this.string=string;this.delimiter=delimiter;this.currentIndex=0;}
StringTokenizer.prototype.hasMoreTokens=function(){var tokenEndIndex=this.string.indexOf(this.delimiter,this.currentIndex);if(tokenEndIndex==-1&&this.currentIndex>this.string.length){return false;}
return true;}
StringTokenizer.prototype.nextToken=function(){var tokenEndIndex=this.string.indexOf(this.delimiter,this.currentIndex);if(tokenEndIndex==-1&&this.currentIndex>this.string.length){throw new Error("No such element");}
else if(tokenEndIndex==-1){tokenEndIndex=this.string.length;}
var token=this.string.substring(this.currentIndex,tokenEndIndex);this.currentIndex=tokenEndIndex+this.delimiter.length;return token;}
StringTokenizer.prototype.countTokens=function(){var start=this.currentIndex;var count=0;while(true){var tokenEndIndex=this.string.indexOf(this.delimiter,start);if(tokenEndIndex==-1&&start>this.string.length){break;}
else if(tokenEndIndex==-1){tokenEndIndex=this.string.length;}
var token=this.string.substring(start,tokenEndIndex);start=tokenEndIndex+this.delimiter.length;count++;}
return count;}
var forwardIp=null;function createXmlHttpRequest(){var xml=false;try{xml=new ActiveXObject("Msxml2.XMLHTTP");}
catch(error){try{xml=new ActiveXObject("Microsoft.XMLHTTP");}
catch(error){try{xml=new XMLHttpRequest();}
catch(error){xml=false;}}}
return xml;}
HttpRequest=function(){var xmlhttp=null;try{xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");}
catch(e){try{xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");}
catch(e_){}}
if(!xmlhttp&&typeof XMLHttpRequest!='undefined'){try{xmlhttp=new XMLHttpRequest();}
catch(e){xmlhttp=false;}}
return xmlhttp;}
var req=null;if(typeof DOMParser=="undefined"){DOMParser=function(){}
DOMParser.prototype.parseFromString=function(str,contentType){if(typeof ActiveXObject!="undefined"){var d=new ActiveXObject("MSXML.DomDocument");d.loadXML(str);return d;}
else{if(typeof XMLHttpRequest!="undefined"){req=new XMLHttpRequest;req.open("GET","data:"+(contentType||"application/xml")+";charset=utf-8,"+encodeURIComponent(str),true);if(req.overrideMimeType){req.overrideMimeType(contentType);}
req.send(null);return req.responseXML;}}}}
function loadXML(url,handler,object,errorHandler){var request=new HttpRequest();request.open("GET",setForwardIpParameter(url),true);request.setRequestHeader("Cache-Control","no-cache");var len=arguments.length;if(len==3){var object=arguments[2];}
if(request.overrideMimeType){request.overrideMimeType('text/plain');}
request.onreadystatechange=function(){if(request.readyState==4&&request.responseText){var response=(new DOMParser()).parseFromString(request.responseText,"text/xml");if(len==3&&isDefined(handler)&&object[handler]){object[handler](response,url);}
else if(isDefined(handler)){handler(response,url);}
delete request.onreadystatechange;request=null;response=null;}
else if(request.readyState==4){delete request.onreadystatechange;request=null;response=null;if(exists(object)&&object[errorHandler]){object[errorHandler]();}
else if(exists(errorHandler)){errorHandler();}}};request.send(null);}
function getResponse(url,method,object){var request=new HttpRequest();request.open("GET",setForwardIpParameter(url),true);var len=arguments.length;if(len==3){var object=arguments[2];}
request.onreadystatechange=function(){if(request.readyState==4){var result=request.responseText;if(len==3&&isDefined(method)&&object[method]){object[method](result,url);}
else{method(result);}}};request.send(null);}
function postRequest(url,content,handler,object,errorHandler){var request=new HttpRequest();request.open("POST",url,true);request.setRequestHeader("Cache-Control","no-cache");var len=arguments.length;if(len==4){var object=arguments[3];}
request.onreadystatechange=function(){if(request.readyState==4&&request.responseText){var response=(new DOMParser()).parseFromString(request.responseText,"text/xml");if(len==4&&isDefined(handler)&&object[handler]){object[handler](response,url);}
else if(isDefined(handler)){handler(response,url);}
delete request.onreadystatechange;request=null;response=null;}
else if(request.readyState==4){delete request.onreadystatechange;request=null;response=null;if(isDefined(object)&&object[errorHandler]){object[errorHandler]();}
else if(isDefined(errorHandler)){errorHandler();}}};request.send(setForwardIpParameter(content));}
function setForwardIp(ip){forwardIp=ip;}
function getForwardIp(){return forwardIp;}
function setForwardIpParameter(request){if(exists(forwardIp)&&!isEmpty(forwardIp)&&forwardIp!=getServerAddress()){return request+"&forwardIp="+forwardIp+"&";}
return request;}
function getScreenWidth(){return screen.width;}
function getScreenHeight(){return screen.height;}
function getWindowHeight(window){var height=window.innerHeight;if(!isDefined(height)){height=window.document.documentElement.clientHeight;}
return height;}
function getWindowWidth(window){var width=window.innerWidth;if(!isDefined(width)){width=window.document.documentElement.clientWidth;}
return width;}
function getInput(code,name){assertExists(code,"Code to search is undefined or null");assertNotEmpty(name,"The name of the input to get is undefined or null");return getElementWithAttribute(code,name,"name","input");}
function getElementWithAttribute(code,value,attribute,elementType){assertExists(code,"Code to search is undefined or null");assertNotEmpty(value,"The value is undefined or empty");assertNotEmpty(attribute,"The attribute is undefined or empty");assertNotEmpty(elementType,"The element type is undefined or empty");var elements=code.getElementsByTagName(elementType);var len=elements.length;for(var i=0;i<len;i++){var elementValue=elements[i].getAttribute(attribute);if(attribute.indexOf("class")>-1){elementValue=getClassName(elements[i]);}
if(value==elementValue){return elements[i];}}
return null;}
function getElementsWithAttribute(code,value,attribute,elementType){assertDefined(code,"Code to search in is not defined");assertNotEmpty(value,"The value is undefined or empty");assertNotEmpty(attribute,"The attribute is undefined or empty");assertNotEmpty(elementType,"The element type is undefined or empty");var elements=code.getElementsByTagName(elementType);var foundElements=new Array();var len=elements.length;for(var i=0;i<len;i++){if(value==elements[i].getAttribute(attribute)){foundElements[foundElements.length]=elements[i];}}
return foundElements;}
function getElementsWithClass(elementType,className){assertNotNull(elementType,"The element type to get is undefined, null or empty: "+elementType);assertNotNull(className,"The className to get elements with is unefined, null or empty: "+className);var elements=getElementsWithAttribute(document.body,className,"class",elementType);if(elements.length==0){elements=getElementsWithAttribute(document.body,className,"className",elementType);}
return elements;}
function setMessageField(htmlCode,attribute,elementType,errorMessage,successMessage){clearPreviousMessage();var messageField=getElementWithAttribute(htmlCode,"messageField",attribute,elementType);if(errorMessage!=null&&errorMessage.length>0){setClass(messageField,"error");messageField.innerHTML=errorMessage;}
else if(successMessage!=null&&successMessage.length>0){setClass(messageField,"ok");messageField.innerHTML=successMessage;}
previousMessage=messageField;}
function clearPreviousMessage(){if(isDefined(previousMessage)){previousMessage.innerHTML="";}}
function setClass(tag,className){assertExists(tag,"tag to set class for is not defined or null");assertExists(className,"The class to set is undefined or null");tag.setAttribute("class",className);tag.setAttribute("className",className);}
function getClassName(tag){var className=tag.getAttribute("class");if(!isDefined(className)||isNull(className)){className=tag.getAttribute("className");}
return className;}
function calculateTopOffset(element,parentElement){assertDefined(element,"Element to calculate top ofset for is undefined or null");var offsetTop=element.offsetTop;var parent=element.offsetParent;while(true){if(isNull(parent)||!isDefined(parent)){break;}
if(exists(parentElement)&&parentElement==parent){break;}
var offset=parent.offsetTop;if(isDefined(offset)&&!isNull(offset)){offsetTop+=offset;}
parent=parent.offsetParent;}
return offsetTop;}
function calculateLeftOffset(element,parentElement){assertDefined(element,"Element to calculate left ofset for is undefined or null");var offsetLeft=element.offsetLeft;var parent=element.offsetParent;while(true){if(isNull(parent)||!isDefined(parent)){break;}
if(exists(parentElement)&&parentElement==parent){break;}
var offset=parent.offsetLeft;if(isDefined(offset)&&!isNull(offset)){offsetLeft+=offset;}
parent=parent.offsetParent;}
return offsetLeft;}
function appendAll(source,destination){assertDefined(source,"Source node is undefined or null: "+source);assertDefined(destination,"Destination is undefined or null: "+destination);if(!isDefined(source.childNodes)||isNull(source.childNodes)){return;}
for(var i=source.childNodes.length-1;i>=0;i--){var node=source.childNodes[i];source.removeChild(node);destination.appendChild(node);}}
function getTekstValue(node,name){var tekst="";if(!isDefined(node)||isNull(node)){return tekst;}
if(!node.hasChildNodes()){return"";}
if(isTekstNode(node)){return node.nodeValue;}
for(var i=0;i<node.childNodes.length;i++){var childNode=node.childNodes[i];if(isTekstNode(childNode)&&!isEmpty(childNode.nodeValue)){tekst+=childNode.nodeValue;}
else if(!isTekstNode(childNode)&&isDefined(name)&&childNode.getAttribute("name")==name){continue;}
else if(!isTekstNode(childNode)){tekst+=getTekstValue(childNode,name);}}
return tekst;}
function isTekstNode(node){if(node.nodeType==3){return true;}
return false;}
function findTdNode(srcElement){try{if(!exists(srcElement)){return null;}
if(srcElement.tagName=="TD"){return srcElement;}
var parentNode=srcElement.parentNode;var maxChildren=10;var i=0;while(true&&i<maxChildren){if(!exists(parentNode)){break;}
if(parentNode.tagName=="TD"){return parentNode;}
parentNode=parentNode.parentNode;i++;}}
catch(e){return null;}
return null;}
function stopPropagation(event){if(event==null){return;}
if(event.stopPropagation){event.stopPropagation();}
else{event.cancelBubble=true;}}
function stopDefaultAction(event){if(event==null){return;}
if(event.preventDefault){event.preventDefault();}
else{event.returnValue=false;}}
function registerEventHandler(event,handler,element){assertDefined(event,"The event is not defined or null");assertDefined(handler,"The handler is not defined or null");var registerAtElement=exists(element)?element:document;if(registerAtElement.addEventListener){registerAtElement.addEventListener(event,handler,true);}
else if(registerAtElement.attachEvent()){registerAtElement.attachEvent("on"+event,handler);}}
function removeEventHandler(event,handler,element){assertDefined(event,"The event is not defined or null");assertDefined(handler,"The handler is not defined or null");var registerAtElement=exists(element)?element:document;if(registerAtElement.removeEventListener){registerAtElement.removeEventListener(event,handler,true);}
else if(registerAtElement.detachEvent){registerAtElement.detachEvent("on"+event,handler);}}
function getTargetElement(event){if(!event){event=window.event;}
if(event.target){return event.target;}
else{return event.srcElement;}}
function relatedTarget(event){event=exists(event)?event:window.event;if(exists(event.relatedTarget)){return event.relatedTarget;}
if(event.type=="mouseover"){return event.fromElement;}
else if(event.type=="mouseout"){return event.toElement;}}
var HOME_EDITION_LICENSE_URL="http://support.objectplanet.com/licenser/generate_probe_test_key.jsp?";var TEST_KEY_LICENSE_URL="https://support.objectplanet.com/licenser/purchase.jsp?families=12";var LICENSED_LICENSE_URL="http://www.objectplanet.com/probe/probe_licensed_version";var GET_LICENSE_URL="?resource=ProbeManager&mode=get&command=license&format=xml&sid=";var SET_LICENSE_URL="?resource=ProbeManager&mode=set&command=license&format=xml&sid=";var MAC_HASH_URL="?resource=ProbeManager&mode=get&command=macHash&format=xml&sid=";function getLicenseManager(){if(!top.LicenseManager){top.LicenseManager=new Object();var eventListener=new Listener(this);eventListener.addEvent(LAYOUT_SET_EVENT,processLayoutSetEventLicenseManager);var firstLayoutSet=false;var license;top.LicenseManager.loadLicense=function(){loadXML(GET_LICENSE_URL+getSid(),"licenseLoaded",top.LicenseManager);}
top.LicenseManager.setLicense=function(key){assertNotEmpty(key,"The key to set is undefined null or empty");var url=SET_LICENSE_URL+getSid()+"&key="+key;loadXML(url,"licenseLoaded",top.LicenseManager);}
top.LicenseManager.licenseLoaded=function(xml){license=xml;var keyVersion=getTagNodeValue("keyVersion",license);var testKey=getTagNodeValue("testKey",license);var requiredVersion=getTagNodeValue("requiredkeyVersion",license);var validLicense=getTagNodeValue("validLicense",license);top.LicenseManager.toggleLicenseTabContent(keyVersion,testKey,requiredVersion,validLicense);top.LicenseManager.toggleLicenseWindow(keyVersion,testKey,requiredVersion,validLicense);if(exists(top.tabSection.getTab("Setup"))&&top.tabSection.getTab("Setup").isLoaded()&&exists(top.frames["Setup"].setLicenseLoaded)){top.frames["Setup"].setLicenseLoaded(xml);}}
top.LicenseManager.layoutSet=function(){if(firstLayoutSet==false&&exists(license)){var keyVersion=getTagNodeValue("keyVersion",license);var testKey=getTagNodeValue("testKey",license);var requiredVersion=getTagNodeValue("requiredkeyVersion",license);top.LicenseManager.toggleLicenseTabContent(keyVersion,testKey,requiredVersion);top.LicenseManager.toggleLicenseWindow(keyVersion,testKey,requiredVersion);}
firstLayoutSet=true;}
top.LicenseManager.toggleLicenseTabContent=function(keyVersion,testKey,requiredVersion,validLicense){if("-1"==keyVersion||("-1"!=keyVersion&&parseInt(keyVersion)<parseInt(requiredVersion))){top.LicenseManager.setLicenseTabUrl(HOME_EDITION_LICENSE_URL+"hostid="+getHostId()+"&version="+getVersion()+"&showHeader=false");top.tabSection.changeClass("tab createTestKey","License");}
else if("-1"!=keyVersion&&"false"==testKey){top.LicenseManager.hideLicenseTab();}}
top.LicenseManager.toggleLicenseWindow=function(keyVersion,testKey,requiredVersion,validLicense){if("-1"==keyVersion||("-1"!=keyVersion&&parseInt(keyVersion)<parseInt(requiredVersion))){top.LicenseManager.showHomeEditionWindow();}
else if("-1"!=keyVersion&&"false"==testKey){top.LicenseManager.hideLicenseStatusWindow();}}
top.LicenseManager.hideLicenseTab=function(){top.tabSection.changeClass("inactive","License");}
top.LicenseManager.setLicenseTabUrl=function(url){top.tabSection.getTab("License").setUrl(url);}
top.LicenseManager.hideLicenseStatusWindow=function(){var licenseStatusWindow=WindowManager.instance().getWindow("licenseStatusWindow");if(!exists(licenseStatusWindow)){return;}
WindowManager.instance().hideWindow(licenseStatusWindow.getId());}
top.LicenseManager.showTestKeyWindow=function(){var licenseStatusWindow=WindowManager.instance().getWindow("licenseStatusWindow");if(!exists(licenseStatusWindow)){return;}
var homeEdition=getElementWithAttribute(licenseStatusWindow.getHtmlCode(),"homeEdition","name","table");setClass(homeEdition,"inactive");var testKey=getElementWithAttribute(licenseStatusWindow.getHtmlCode(),"testKey","name","table");setClass(testKey,"active");WindowManager.instance().activateWindow(licenseStatusWindow.getId());licenseStatusWindow.resized();}
top.LicenseManager.showHomeEditionWindow=function(){var licenseStatusWindow=WindowManager.instance().getWindow("licenseStatusWindow");if(!exists(licenseStatusWindow)){return;}
var testKey=getElementWithAttribute(licenseStatusWindow.getHtmlCode(),"testKey","name","table");setClass(testKey,"inactive");var homeEdition=getElementWithAttribute(licenseStatusWindow.getHtmlCode(),"homeEdition","name","table");setClass(homeEdition,"active");WindowManager.instance().activateWindow(licenseStatusWindow.getId());licenseStatusWindow.resized();}}
return top.LicenseManager;}
function processLayoutSetEventLicenseManager(){getLicenseManager().layoutSet();}
function getEventServer(){if(!top.EventServer){top.EventServer=new Object();listeners=new Array();top.EventServer.addListener=function(listener){assertDefined(listener,"The listener to add is undefined or null: "+listener);listeners[listeners.length]=listener;}
top.EventServer.removeListener=function(listener){assertDefined(listener,"The listener to remove is undefined or null: "+listener);var length=listeners.length;for(var i=0;i<length;i++){if(listener==listeners[i]){listeners[i]=null;listeners=removeNullEntries(listeners);}}}
top.EventServer.notifyListeners=function(event){assertDefined(event,"The event is undefined or null: "+event);var length=listeners.length;for(var i=0;i<length;i++){if(exists(listeners[i])&&listeners[i].listeningToEvent(event)){listeners[i].update(event);}}}
top.EventServer.isListener=function(listener){assertExists(listener,"The listener to check is undefined or null");var length=listeners.length;for(var i=0;i<length;i++){if(exists(listeners[i])&&listeners[i]==listener){return true;}}
return false;}}
return top.EventServer;}
function Event(event,data){assertNotEmpty(event,"The event of the event is undefined, null or empty: "+name);this.event=event;this.data=data;}
Event.prototype.getEvent=function(){return this.event;}
Event.prototype.getData=function(){return this.data;}
function Listener(object){this.object=object;getEventServer().addListener(this);this.eventsToListenTo=new Array();}
Listener.prototype.addEvent=function(event,functionToCall){assertNotEmpty(event,"Event name is undefined, null or empty: "+event);assertDefined(functionToCall,"The function to call is undefined or null");this.eventsToListenTo[event]=functionToCall;}
Listener.prototype.removeEvent=function(event){assertNotEmpty(event,"Event name is undefined, null or empty: "+event);this.eventsToListenTo[event]=null;this.eventsToListenTo=removeNullEntries(this.eventsToListenTo);}
Listener.prototype.stopListening=function(){getEventServer().removeListener(this);}
Listener.prototype.startListening=function(){if(!getEventServer().isListener(this)){getEventServer().addListener(this);}}
Listener.prototype.changeObject=function(object){assertDefined(object,"Object is undefined or empty");this.object=object;}
Listener.prototype.listeningToEvent=function(event){assertExists(event,"The event to check does not exist");return exists(this.eventsToListenTo[event.getEvent()]);}
Listener.prototype.update=function(event){assertDefined(event,"The event is undefined");var eventProcessorFunction=this.eventsToListenTo[event.getEvent()];if(!exists(eventProcessorFunction)){return;}
if(exists(this.object)){eventProcessorFunction.call(this.object,event);}
else{eventProcessorFunction.call(null,event);}}
function Repeater(functionToCall,object,time){assertDefined(functionToCall,"The function to call repeatedly is undefined or null");assertNotNegative(time,"The time between each repetition is negative: "+time);this.functionToCall=functionToCall;this.object=object;this.time=time;this.repeating=false;this.delaying=false;}
Repeater.prototype.setTime=function(time){assertNotNegative(time,"Time to set is negative: "+time);this.time=time;}
Repeater.prototype.getTime=function(){return this.time;}
Repeater.prototype.delay=function(){this.delaying=true;var thisObj=this;this.timeOutId=window.setTimeout(function(){thisObj.delaying=false;thisObj.callFunction()},(this.time*1000));}
Repeater.prototype.start=function(){if(!this.repeating){this.repeating=true;this.repeat();}}
Repeater.prototype.stop=function(){this.repeating=false;this.delaying=false;if(isDefined(this.timeOutId)&&!isNull(this.timeOutId)){window.clearTimeout(this.timeOutId);}}
Repeater.prototype.isRepeating=function(){return this.repeating;}
Repeater.prototype.isDelaying=function(){return this.delaying;}
Repeater.prototype.repeat=function(){this.repeating=true;this.callFunction();var thisObj=this;this.timeOutId=window.setTimeout(function(){thisObj.repeat()},(this.time*1000));}
Repeater.prototype.callFunction=function(functionToCall,object){if(isDefined(this.object)&&!isNull(this.object)){this.functionToCall.call(this.object);}
else{this.functionToCall();}}
var KEEP_ALIVE_TIME=1000*60*29;var keepAliveRepeater=new Repeater(sendKeepAliveRequest,undefined,KEEP_ALIVE_TIME);var KEPP_ALIVE_REQUEST="/?resource=probemanager&mode=set&command=keepalive&sid=";var sidAdded=false;function startKeepConnectionAlive(){keepAliveRepeater.start();}
function stopKeepConnectionAlive(){keepAliveRepeater.stop();}
function sendKeepAliveRequest(){if(!sidAdded){KEPP_ALIVE_REQUEST=KEPP_ALIVE_REQUEST+getElementWithAttribute(top.document.body,"sid","name","input").value+"&";sidAdded=true;}
loadXML(KEPP_ALIVE_REQUEST);}
function createSubClass(superInstance,subInstance){assertDefined(superInstance,"Instance of super class is undefined or null");assertDefined(subInstance,"Instance of sub class is undefined or null");var subProperties=new Array();for(property in subInstance){subProperties[property]=subInstance[property]}
for(property in superInstance){subInstance[property]=superInstance[property];}
for(property in subProperties){if(containsElement(subInstance,property)){var superProperty=subInstance[property];subInstance["super"+property]=superProperty;}
subInstance[property]=subProperties[property];}
subInstance['callSuper']=callSuper;return subInstance;}
function callSuper(functionName,argumentsToSuper){if(!this["super"+functionName]){return;}
if(isDefined(argumentsToSuper)&&!isNull(argumentsToSuper)){return this["super"+functionName].apply(this,argumentsToSuper);}
else{return this["super"+functionName]();}}
DropDown.DROPDOWN_CLASS="dropDownMenu";DropDown.HIDDEN_DROPDOWN_CLASS="inactive";DropDown.SHOWN_EVENT="dropDownShown";DropDown.HIDDEN_EVENT="dropDownHidden";function DropDown(triggerElement){this.triggerElement=triggerElement;this.setOnClick();this.htmlCode;this.sections=new Array();this.parentNode;this.currentParentNode;this.highlightedElement;this.keyDownHandlerFunction;this.onClickHandlerFunction;this.selectedListeners=new Array();}
DropDown.prototype.show=function(){if(!exists(this.htmlCode)){this.repaint();}
setClass(this.htmlCode,DropDown.DROPDOWN_CLASS);this.startKeyListening();this.setSelectOnClick();this.fireShownEvent();}
DropDown.prototype.hide=function(){if(!exists(this.htmlCode)){return;}
setClass(this.htmlCode,DropDown.HIDDEN_DROPDOWN_CLASS);this.stopKeyListening();this.stopSelectMouseClickListening();this.fireHiddenEvent();}
DropDown.prototype.isShown=function(){return exists(this.htmlCode)?getClassName(this.htmlCode)==DropDown.DROPDOWN_CLASS:false;}
DropDown.prototype.addSection=function(section){assertExists(section,"The section to add to the dropdown menu does not exist");if(!(section instanceof DropDownSection)){throw new Error("Section to add is not a dropdown section");}
this.sections[this.sections.length]=section;}
DropDown.prototype.getSections=function(){return this.sections;}
DropDown.prototype.getHtmlCode=function(){return exists(this.htmlCode)?this.htmlCode:null;}
DropDown.prototype.paint=function(){this.createHtmlCode();this.currentParentNode=this.getParentNode();this.getParentNode().appendChild(this.htmlCode);}
DropDown.prototype.repaint=function(){var shown=this.isShown();if(exists(this.htmlCode)){this.currentParentNode.removeChild(this.htmlCode);}
this.paint();var highlightedElement=this.highlightedElement;this.highlightedElement=null;if(this.containsElement(highlightedElement)){this.highlightElement(highlightedElement);}
if(shown){this.show();}}
DropDown.prototype.setParentNode=function(parentNode){this.parentNode=parentNode;this.repaint();}
DropDown.prototype.highlightElement=function(element){assertExists(element,"The element to highlight does not exist");if(!this.containsElement(element)){return;}
this.updateHighlight(element);}
DropDown.prototype.highlightElementAt=function(index){assertNotNegative(index,"Index of the element to highlight is negative");if(index>this.getElementCount()-1){throw new Error("Index larger than element count");}
var counter=0;for(var i=0;i<this.sections.length;i++){if(index-counter<=this.sections[i].getElementCount()-1){this.highlightElement(this.sections[i].getElementAt(index-counter));return;}
counter=this.sections[i].getElementCount();}}
DropDown.prototype.getHighlightedElement=function(){return exists(this.highlightedElement)?this.highlightedElement:null;}
DropDown.prototype.getHighlightedIndex=function(){var index=0;for(var i=0;i<this.sections.length;i++){if(this.sections[i].getElementIndex(this.highlightedElement)>-1){index+=this.sections[i].getElementIndex(this.highlightedElement);break;}
index+=this.sections[i].getElementCount();}
return exists(this.highlightedElement)?index:-1;}
DropDown.prototype.containsElement=function(element){for(var i=0;i<this.sections.length;i++){var index=this.sections[i].getElementIndex(element);if(index>-1){return true;}}
return false;}
DropDown.prototype.moveHighlightUp=function(){if(!exists(this.highlightedElement)||!exists(this.getHtmlCode())){return;}
var section=this.getSection(this.highlightedElement);if(this.getPreviousElement(this.highlightedElement)){this.updateHighlight(this.getPreviousElement(this.highlightedElement));}
else if(this.getPreviousSection(section)){section=this.getPreviousSection(section);this.updateHighlight(section.getElementAt(section.getElementCount()-1));}}
DropDown.prototype.moveHighlightDown=function(){if(!exists(this.getHtmlCode())||!exists(this.getHtmlCode())){return;}
if(!exists(this.highlightedElement)){this.updateHighlight(this.sections[0].getElementAt(0));return;}
var section=this.getSection(this.highlightedElement);if(exists(this.getNextElement(this.highlightedElement))){this.updateHighlight(this.getNextElement(this.highlightedElement));}
else if(exists(this.getNextSection(section))){this.updateHighlight(this.getNextSection(section).getElementAt(0));}}
DropDown.prototype.setSelectedListener=function(listener){assertExists(listener,"The listener to set is undefined or null");if(!(typeof listener=="function")){throw new Error("Listener to set is not a function");}
this.selectedListeners.push(listener);}
DropDown.prototype.clear=function(){this.sections=new Array();if(exists(this.htmlCode)){this.getParentNode().removeChild(this.htmlCode);}
this.htmlCode=null;this.highlightedElement=null;this.stopKeyListening();this.stopSelectMouseClickListening();}
DropDown.prototype.getElementCount=function(){var counter=0;for(var i=0;i<this.sections.length;i++){counter+=this.sections[i].getElementCount();}
return counter;}
DropDown.prototype.getElements=function(){var elements=new Array();for(var i=0;i<this.sections.length;i++){elements=elements.concat(this.sections[i].getElements());}
return elements;}
DropDown.prototype.getPreviousSection=function(section){var sectionIndex=this.getSectionIndex(section);if(sectionIndex>0){return this.sections[sectionIndex-1];}
return null;}
DropDown.prototype.getNextSection=function(section){var sectionIndex=this.getSectionIndex(section);if(sectionIndex<=this.sections.length-2){return this.sections[sectionIndex+1];}
return null;}
DropDown.prototype.getPreviousElement=function(element){var section=this.getSection(element);var index=exists(section)?section.getElementIndex(element):-1;if(index>0){return section.getElementAt(index-1);}
return null;}
DropDown.prototype.getNextElement=function(element){var section=this.getSection(element);var index=section.getElementIndex(element);if(index<=section.getElementCount()-2){return section.getElementAt(index+1);}
return null;}
DropDown.prototype.getSectionIndex=function(section){for(var i=0;i<this.sections.length;i++){if(this.sections[i]==section){return i;}}
return-1;}
DropDown.prototype.updateHighlight=function(element){if(element==this.highlightedElement){return;}
if(exists(this.highlightedElement)){this.getSection(this.highlightedElement).deHighlightElement(this.highlightedElement);}
this.getSection(element).highlightElement(element);this.highlightedElement=element;}
DropDown.prototype.getSection=function(element){for(var i=0;i<this.sections.length;i++){if(this.sections[i].getElementIndex(element)>-1){return this.sections[i];}}
return null;}
DropDown.prototype.getParentNode=function(){return exists(this.parentNode)?this.parentNode:document.body;}
DropDown.prototype.setOnClick=function(){if(exists(this.triggerElement)){this.setTriggerElementOnClick();}
this.setSelectOnClick();}
DropDown.prototype.setSelectOnClick=function(){this.onClickHandlerFunction=this.getOnClickListenerFunction();registerEventHandler("click",this.onClickHandlerFunction);}
DropDown.prototype.setTriggerElementOnClick=function(){var thisObj=this;registerEventHandler("click",function(){if(!thisObj.isShown()){thisObj.repaint();thisObj.show();}
else{thisObj.hide();}},this.triggerElement);}
DropDown.prototype.stopSelectMouseClickListening=function(){if(exists(this.onClickHandlerFunction)){removeEventHandler("click",this.onClickHandlerFunction);}}
DropDown.prototype.createHtmlCode=function(){this.htmlCode=document.createElement("div");for(var i=0;i<this.sections.length;i++){this.sections[i].repaint();this.htmlCode.appendChild(this.sections[i].getHtmlCode());}}
DropDown.prototype.keyDownHandler=function(event){event=exists(event)?event:window.event;if(this.upArrowPressed(event)){this.moveHighlightUp();}
else if(this.downArrowPressed(event)){this.moveHighlightDown();}
else if(this.escapePressed(event)){this.hide();}
else if(this.enterPressed(event)){this.hide();this.callListenerFunctions();}}
DropDown.prototype.mouseClickHandler=function(event){event=exists(event)?event:window.event;var src=exists(event.srcElement)?event.srcElement:event.target;if(this.isTriggerElement(event)){return;}
if(this.isClickOnElement(event)){this.callListenerFunctions();}
this.hide();}
DropDown.prototype.startKeyListening=function(){if(exists(this.keyDownHandlerFunction)){return;}
this.keyDownHandlerFunction=this.getKeyListenerFunction();registerEventHandler("keydown",this.keyDownHandlerFunction);}
DropDown.prototype.stopKeyListening=function(){if(exists(this.keyDownHandlerFunction)){removeEventHandler("keydown",this.keyDownHandlerFunction);this.keyDownHandlerFunction=null;}}
DropDown.prototype.getOnClickListenerFunction=function(){var thisObj=this;return function(event){thisObj.mouseClickHandler(event);};}
DropDown.prototype.getKeyListenerFunction=function(){var thisObj=this;return function(event){thisObj.keyDownHandler(event);};}
DropDown.prototype.downArrowPressed=function(event){if(40==event.keyCode){return true;}
return false;}
DropDown.prototype.upArrowPressed=function(event){if(38==event.keyCode){return true;}
return false;}
DropDown.prototype.escapePressed=function(event){if(27==event.keyCode){return true;}}
DropDown.prototype.enterPressed=function(event){if(13==event.keyCode){return true;}
return false;}
DropDown.prototype.callListenerFunctions=function(){if(!exists(this.getHighlightedElement())){return;}
for(var i=0;i<this.selectedListeners.length;i++){this.selectedListeners[i](this.getHighlightedElement());}}
DropDown.prototype.isClickOnElement=function(event){var src=exists(event.srcElement)?event.srcElement:event.target;if(this.findElementCode(src)){return true;}
return false;}
DropDown.prototype.findElementCode=function(node){while(true){if(!exists(node.parentNode)){break;}
if(getClassName(node)==DropDownSection.ELEMENT_CLASS||getClassName(node)==DropDownSection.HIGHLIGHTED_ELEMENT_CLASS){return node;}
node=node.parentNode;}
return null;}
DropDown.prototype.isTriggerElement=function(event){var src=exists(event.srcElement)?event.srcElement:event.target;if(this.triggerElement==src){return true;}
while(true){if(!exists(src.parentNode)){break;}
if(this.triggerElement==src){return true;}
src=src.parentNode;}
return false;}
DropDown.prototype.fireShownEvent=function(){if(this.eventsAvailable()){getEventServer().notifyListeners(new Event(DropDown.SHOWN_EVENT,this));}}
DropDown.prototype.fireHiddenEvent=function(){if(this.eventsAvailable()){getEventServer().notifyListeners(new Event(DropDown.HIDDEN_EVENT,this));}}
DropDown.prototype.eventsAvailable=function(){try{if(isDefined(getEventServer)){return true;}}
catch(Error){return false;}
try{if(isDefined(Event)){return true;}}
catch(Error){return false;}
return true;}
DropDownSection.SECTION_CLASS="dropDownSection";DropDownSection.ELEMENT_CLASS="dropDownElement";DropDownSection.HIGHLIGHTED_ELEMENT_CLASS="highlightedDropDownElement";DropDownSection.HEADER_CLASS="dropDownSectionHeader";function DropDownSection(elements,dropDown){assertExists(dropDown,"The drop down section to set is undefined null or empty");this.elements=new Array();this.setElements(elements);this.dropDown=dropDown;this.header;this.htmlCode;this.elementHtmlCode=new Array();}
DropDownSection.prototype.setHeader=function(header){this.header=header;}
DropDownSection.prototype.getHeader=function(){return this.header;}
DropDownSection.prototype.setElements=function(elements){assertExists(elements,"The elements to set are undefined or null");if(!(elements instanceof Array)||elements.length==0){throw new Error("Elements to set is not a array or a empty array");}
this.elements=elements;}
DropDownSection.prototype.addElement=function(element){assertExists(element,"The drop down element to add does not exist");if(element instanceof String&&isEmpty(element)){throw new Error("The element to add to the dropdown section is empty");}
this.elements[this.elements.length]=element;}
DropDownSection.prototype.getElements=function(){return this.elements;}
DropDownSection.prototype.getElementCount=function(){return this.elements.length;}
DropDownSection.prototype.getHtmlCode=function(){return exists(this.htmlCode)?this.htmlCode:null;}
DropDownSection.prototype.getElementHtmlCode=function(element){assertExists(element,"The element get the html code for is undefined or null");var index=this.getElementIndex(element);if(index>-1&&index<=this.elementHtmlCode.length-1){return this.elementHtmlCode[index];}
return null;}
DropDownSection.prototype.getElementIndex=function(element){for(var i=0;i<this.elements.length;i++){if(this.elements[i]==element){return i;}}
return-1;}
DropDownSection.prototype.getElementAt=function(index){assertNotNegative(index,"The index to get is negative");if(index>this.elements.length-1){throw new Error("Index larger than element count: "+index);}
return this.elements[index];}
DropDownSection.prototype.highlightElement=function(element){assertExists(element,"The element to highlight is undefined null or empty");if(this.getElementIndex(element)==-1||!exists(this.elementHtmlCode[this.getElementIndex(element)])){return;}
var index=this.getElementIndex(element);if(index<this.elementHtmlCode.length&&exists(this.elementHtmlCode[index])){setClass(this.elementHtmlCode[index],DropDownSection.HIGHLIGHTED_ELEMENT_CLASS);}}
DropDownSection.prototype.deHighlightElement=function(element){assertExists(element,"The element to dehighlight is undefined null or empty");if(this.getElementIndex(element)==-1){return;}
var index=this.getElementIndex(element);if(index<this.elementHtmlCode.length&&exists(this.elementHtmlCode[index])){setClass(this.elementHtmlCode[index],DropDownSection.ELEMENT_CLASS);}}
DropDownSection.prototype.paint=function(){if(this.elements.length==0){return;}
this.createHtmlCode();}
DropDownSection.prototype.repaint=function(){this.htmlCode=null;this.paint();}
DropDownSection.prototype.isHeaderSet=function(){return exists(this.header);}
DropDownSection.prototype.createHtmlCode=function(){this.htmlCode=document.createElement("div");setClass(this.htmlCode,DropDownSection.SECTION_CLASS);if(this.isHeaderSet()){this.htmlCode.appendChild(this.createHeaderCode());}
this.createElementsHtmlCode(this.htmlCode);}
DropDownSection.prototype.createElementsHtmlCode=function(container){for(var i=0;i<this.elements.length;i++){var elementCode=this.createElementCode(this.elements[i]);setClass(elementCode,DropDownSection.ELEMENT_CLASS);this.elementHtmlCode[i]=elementCode;container.appendChild(elementCode);}}
DropDownSection.prototype.createHeaderCode=function(){if(!this.isHeaderSet()){return null;}
var headerCode=this.createElementCode(this.header);setClass(headerCode,DropDownSection.HEADER_CLASS);return headerCode;}
DropDownSection.prototype.createElementCode=function(element){var container=document.createElement("div");if(exists(element.nodeType)&&element.nodeType==3){container.appendChild(element);}
else if(typeof element=="string"||element instanceof String){container.appendChild(document.createTextNode(element));}
else if(!exists(element.nodeType)){container.appendChild(document.createTextNode(element.toString()));}
else{container=element;}
this.setOnMouseOver(element,container)
return container;}
DropDownSection.prototype.setOnMouseOver=function(element,code){var thisObj=this;code.onmouseover=function(){thisObj.dropDown.highlightElement(element);}}
function TextSuggest(field,baseUrl,options){assertExists(field,"The field to suggest value for is undefined or null");assertNotEmpty(baseUrl,"The base url to use to request suggestions is undefined, null or empty");this.id=field.getAttribute("id");this.textInput=field;this.textInput.suggest=this;this.url=baseUrl;this.setOptions(options);this.injectSuggestedBehaviour();this.protocolSuggestions=[];this.nlHostSuggestions=[]
this.matchingProtocols=[];this.matchingNlHosts=[];this.lastRequestString="";this.protocolHeader;this.nlHostHeader;this.selectedSuggestion=null;this.dropDown=new DropDown();this.dropDown.setParentNode(this.htmlCode);this.dropDown.setSelectedListener(this.getDropDownSelectListener());}
TextSuggest.prototype.getDropDown=function(){return this.dropDown;}
TextSuggest.prototype.hideSuggestions=function(){setClass(this.htmlCode,"inactive");}
TextSuggest.prototype.suggestionsShown=function(){return this.options.suggestDivClassName==getClassName(this.htmlCode);}
TextSuggest.prototype.showSuggestions=function(){if(exists(this.options.showSuggestionsFunction)&&typeof this.options.showSuggestionsFunction=="function"){this.options.showSuggestionsFunction();}
setClass(this.htmlCode,this.options.suggestDivClassName);this.dropDown.repaint();this.dropDown.show();}
TextSuggest.prototype.clear=function(){this.lastRequestString="";this.hideSuggestions();this.textInput.value="";}
TextSuggest.prototype.setOptions=function(options){this.options={slectionColor:"black",xPos:0,yPos:0,ignoreCase:true,matchAnyWhere:true,suggestDivClassName:"suggestDiv",matchClassName:"match",maxCount:10,showProtocolHeader:true,showNlHostHeader:true,showSuggestionsFunction:null,showSuggestionImages:true,valueField:null,selectedFunction:null}
this.options=createSubClass(this.options,options);}
TextSuggest.prototype.suggestionSelected=function(){var suggestion=this.getHighlightedSuggestion();if(!this.suggestionsShown()||!exists(suggestion)){return;}
this.selectedSuggestion=suggestion;this.textInput.value=URLDecode(suggestion[0]);this.setValueField(suggestion);this.callSelectedFunction();}
TextSuggest.prototype.callSelectedFunction=function(){if(exists(this.options.selectedFunction)&&typeof this.options.selectedFunction=="function"){this.options.selectedFunction();}}
TextSuggest.prototype.setValueField=function(suggestion){if(exists(this.options.valueField)&&suggestion.length>=3){this.options.valueField.value=suggestion[2];}}
TextSuggest.prototype.getHighlightedSuggestion=function(){var suggestion=null;var highlightedIndex=this.dropDown.getHighlightedIndex();if(highlightedIndex!=-1&&highlightedIndex<=this.matchingProtocols.length-1){suggestion=this.matchingProtocols[highlightedIndex];}
else if(highlightedIndex!=-1&&highlightedIndex<=((this.matchingProtocols.length+this.matchingNlHosts.length)-1)){suggestion=this.matchingNlHosts[highlightedIndex-this.matchingProtocols.length];}
return suggestion;}
TextSuggest.prototype.getDropDownSelectListener=function(){var textSuggest=this;return function(){textSuggest.suggestionSelected();textSuggest.hideSuggestions();};}
TextSuggest.prototype.sendRequestForSuggestions=function(){this.lastRequestString=this.textInput.value;if(this.handlingRequest){this.pendingRequest=true;return;}
this.handlingRequest=true;getResponse(this.createSuggestUrl(),"suggestionsLoaded",this);}
TextSuggest.prototype.createSuggestUrl=function(){return this.url+"ignoreCase="+this.options.ignoreCase+"&matchAnyWhere="+this.options.matchAnyWhere+"&entry="+this.lastRequestString+"&";}
TextSuggest.prototype.createSuggestions=function(response){eval(response);this.protocolSuggestions=protocolOptions;this.nlHostSuggestions=nlhostOptions;}
TextSuggest.prototype.suggestionsLoaded=function(response){this.createSuggestions(response);if(this.protocolSuggestions.length==0&&this.nlHostSuggestions.length==0){this.hideSuggestions();this.handlingRequest=false;return;}
this.updateDropDown();this.handlingRequest=false;if(this.pendingRequest){this.pendingRequest=false;this.sendRequestForSuggestions();}}
TextSuggest.prototype.injectSuggestedBehaviour=function(){this.createSuggestionsDiv();new TextSuggestEventHandler(this);}
TextSuggest.prototype.updateDropDown=function(){this.dropDown.clear();this.addDropDownSections();if(this.matchingProtocols.length!=0||this.matchingNlHosts.length!=0){this.showSuggestions();this.dropDown.highlightElementAt(0);}}
TextSuggest.prototype.addDropDownSections=function(){this.matchingProtocols=this.matchEntries(this.protocolSuggestions,this.options.maxCount);this.matchingNlHosts=this.matchEntries(this.nlHostSuggestions,this.options.maxCount);var protocolSection=this.createProtocolSection(this.matchingProtocols);var nlHostSection=this.createNlHostSection(this.matchingNlHosts);if(protocolSection!=null){this.dropDown.addSection(protocolSection);}
if(nlHostSection!=null){this.dropDown.addSection(nlHostSection);}}
TextSuggest.prototype.createNlHostSection=function(nlHosts){var elements=new Array();var regExp=this.createRegExp(this.textInput.value);for(var i=0;exists(nlHosts)&&i<nlHosts.length;i++){elements.push(this.createSuggestionHtmlCode(nlHosts[i],i+(this.matchingProtocols.length),regExp,false));}
if(elements.length==0){return;}
var section=new DropDownSection(elements,this.dropDown);if(this.options.showNlHostHeader){section.setHeader(this.createNlHostHeader());}
return section;}
TextSuggest.prototype.createProtocolSection=function(protocols){var elements=new Array();var regExp=this.createRegExp(this.textInput.value);for(var i=0;exists(protocols)&&i<protocols.length;i++){elements.push(this.createSuggestionHtmlCode(protocols[i],i,regExp,true));}
if(elements.length==0){return;}
var section=new DropDownSection(elements,this.dropDown);if(this.options.showProtocolHeader){section.setHeader(this.createProtocolHeader());}
return section;}
TextSuggest.prototype.createSuggestionHtmlCode=function(suggestion,n,regExp,protocol){var suggestionSpan=this.createSuggestionContainerCode(n);var textTag=this.createSuggestionTextCode(suggestion,regExp);var suggestTable=document.createElement("table");suggestTable.style.width="100%";var row=suggestTable.insertRow(0);var cell=row.insertCell(0);var image=document.createElement("div");if(this.options.showSuggestionImages&&protocol){setClass(image,"protocolSuggestImage");}
else if(this.options.showSuggestionImages){setClass(image,"nlHostSuggestImage");}
cell.appendChild(image);cell=row.insertCell(1);cell.style.width="80%";cell.style.overflow="hidden";cell.setAttribute("name","textCell");cell.appendChild(textTag);cell=row.insertCell(2);cell.style.width="20%";cell.align="right";cell.setAttribute("name","valueCell");cell.appendChild(document.createTextNode(formatOctetValue(suggestion[1])));suggestionSpan.appendChild(suggestTable);return suggestionSpan;}
TextSuggest.prototype.createSuggestionTextCode=function(suggestion,regExp){var textTag=document.createElement("div");textTag.style.width="80%";textTag.style.overflow="hidden";var textValues=this.splitTextValues(URLDecode(suggestion[0]),this.textInput.value.length,regExp)
var textMatchSpan=document.createElement("span");setClass(textMatchSpan,this.options.matchClassName);textMatchSpan.appendChild(document.createTextNode(textValues.mid));textTag.appendChild(document.createTextNode(textValues.start));textTag.appendChild(textMatchSpan);textTag.appendChild(document.createTextNode(textValues.end));return textTag;}
TextSuggest.prototype.createNlHostHeader=function(){var nlHostHeader=document.createElement("span");nlHostHeader.style.width="100%";nlHostHeader.style.display="block";nlHostHeader.id="nlHostHeader";nlHostHeader.appendChild(document.createTextNode("Hosts"));return nlHostHeader;}
TextSuggest.prototype.createProtocolHeader=function(){var protocolHeader=document.createElement("span");protocolHeader.style.width="100%";protocolHeader.style.display="block";protocolHeader.id="protocolHeader";protocolHeader.appendChild(document.createTextNode("Protocols"));return protocolHeader;}
TextSuggest.prototype.createSuggestionContainerCode=function(n){var suggestionSpan=document.createElement("span");suggestionSpan.style.width="100%";suggestionSpan.style.display="block";suggestionSpan.id=this.id+"_"+n;var thisObj=this;return suggestionSpan;}
TextSuggest.prototype.createSuggestionsDiv=function(){this.htmlCode=document.createElement("div");setClass(this.htmlCode,"inactive");this.htmlCode.style.position="absolute";this.htmlCode.style.zIndex=999999;document.body.appendChild(this.htmlCode);this.htmlCode.style.left=parseInt(this.options.xPos)+"px";this.htmlCode.style.top=parseInt(this.options.yPos)+"px";}
TextSuggest.prototype.splitTextValues=function(text,length,regExp){var startPos=text.search(regExp);var matchText=text.substring(startPos,startPos+length);var startText=startPos==0?"":text.substring(0,startPos);var endText=text.substring(startPos+length);return{start:startText,mid:matchText,end:endText};}
TextSuggest.prototype.matchEntries=function(entries,maxCount){var matchArray=new Array();var regExp=this.createRegExp(this.textInput.value);for(var i=0;i<entries.length;i++){var matches=URLDecode(entries[i][0]).match(regExp);if(matches){matchArray.push(entries[i]);}
if(exists(maxCount)&&isNumber(maxCount)&&matchArray.length==maxCount){return matchArray;}}
return matchArray;}
TextSuggest.prototype.createRegExp=function(value){var regExpFlags=this.options.ignoreCase?"i":"";var startRegExp=this.options.matchAnyWhere?"":"^";value=value.replace("\.","\\.");return new RegExp(startRegExp+value,regExpFlags);}
TextSuggest.prototype.needToLoadData=function(){if(this.matchingProtocols.length==0&&this.protocolSuggestions.length!=0){return true;}
else if(this.matchingNlHosts.length==0&&this.nlHostSuggestions.length!=0){return true;}
else if(this.matchingProtocols.length==0||this.matchingNlHosts.length==0){return true;}
return false;}
TextSuggest.prototype.handleTextInput=function(){if(exists(this.selectedSuggestion)){return;}
if(this.textInput.value==""){this.clear();return;}
else if(this.textInput.value.indexOf(this.lastRequestString)==-1||isEmpty(this.lastRequestString)){this.sendRequestForSuggestions();return;}
this.updateDropDown();if(this.needToLoadData()){this.sendRequestForSuggestions();}}
function TextSuggestEventHandler(textSuggest){assertExists(textSuggest,"The text suggestion to handle key events for is undefined or null");this.textSuggest=textSuggest;this.input=this.textSuggest.textInput;this.addKeyHandling();}
TextSuggestEventHandler.prototype.addKeyHandling=function(){registerEventHandler("keyup",this.keyUpListenerFunction(),this.input);registerEventHandler("blur",this.onblurListenerFunction(),this.input);}
TextSuggestEventHandler.prototype.onblurListenerFunction=function(){var eventHandler=this;return function(event){eventHandler.onblurHandler(event);};}
TextSuggestEventHandler.prototype.keyUpListenerFunction=function(){var eventHandler=this;return function(event){eventHandler.keyUpHandler(event);};}
TextSuggestEventHandler.prototype.keyUpHandler=function(event){event=exists(event)?event:window.event;this.textSuggest.selectedSuggestion=null;if(!this.isFucntionKeyPressed(event)){this.textSuggest.handleTextInput();}}
TextSuggestEventHandler.prototype.isFucntionKeyPressed=function(event){var enterKey=13;var upArrow=38;var downArrow=40;var escapeKey=27;if(event.keyCode==upArrow||event.keyCode==downArrow){return true;}
if(event.keyCode==enterKey||event.keyCode==escapeKey){return true;}
return false;}
TextSuggestEventHandler.prototype.onblurHandler=function(event){if("inactive"!=getClassName(this.textSuggest.htmlCode)){this.textSuggest.suggestionSelected();}
this.textSuggest.hideSuggestions();}
var ENTRY_SEARCH_BASE_URL="/?resource=Statistics&mode=get&command=getEntry&matchAnyWhere=false&protocolSortField=octets&nlHostSortField=octets&protocolFields=index,protocolName,protocolId,protocolDescription,packets,octets,hosts,conversations,alarmCount&nlHostFields=index,hostName,address,inPackets,inOctets,outPackets,outOctets,outMacNonUnicastPackets,protocols,conversations,octets,packets,alarmcount&";var SUGGEST_BASE_URL="/?resource=Statistics&mode=get&command=suggestEntries&maxEntryCount=100&protocolSortField=octets&nlHostSortField=octets&protocolFields=octets,protocolId&nlHostFields=octets,address&";var searchInput;var searchValue;var rightImage;var searchResults;var addToMyProtocolsButton;var protocolDetailButton;var addToMyHostsButton;var nlHostDetailButton;var protocols;var nlHosts;var textSuggest;var lastSearchString="";function addSearchField(){createSearchField();setSearchFieldEventListeners();var suggestOptions=new Object();suggestOptions.suggestionHighlightClassName="#b7b7b7";suggestOptions.yPos=35;var rightImageRightOffset=getScreenWidth()-(calculateLeftOffset(rightImage)+rightImage.offsetWidth);suggestOptions.xPos=getScreenWidth()-rightImageRightOffset-302;suggestOptions.maxCount=5;suggestOptions.showSuggestionsFunction=textSuggestionsShown;suggestOptions.selectedFunction=search;suggestOptions.valueField=searchValue;suggestOptions.matchClassName="bold";textSuggest=new TextSuggest(searchInput,SUGGEST_BASE_URL+"sid="+getSid()+"&",suggestOptions);var eventListener=new Listener(this);eventListener.addEvent("tabActivated",processTabActivatedSearch);eventListener.addEvent("tabDeactivated",processTabDeactivatedSearch);createSearchResultContainer();}
function positionSuggestTag(){var rightImageRightOffset=getScreenWidth()-(calculateLeftOffset(rightImage)+rightImage.offsetWidth);searchInput.suggest.htmlCode.style.left=(getScreenWidth()-rightImageRightOffset-302)+"px";;}
function searchRightClicked(){if(this.src.indexOf("search_right_close.jpg")){clearSearch();}}
function clearSearch(){searchInput.value="";searchValue.value="";hideClearSearchButton();searchInput.focus();hideSearchResults();lastSearchString="";}
function hideClearSearchButton(){var searchRight=getElementWithAttribute(document.body,"searchRight","id","img");searchRight.src="/themes/black/images/search_right.jpg";}
function showClearSearchButton(){var searchRight=getElementWithAttribute(document.body,"searchRight","id","img");searchRight.src="/themes/black/images/search_right_close.jpg";}
function showSearchField(){var searchContainer=getElementWithAttribute(document.body,"searchContainer","id","div");setClass(searchContainer,"searchContainer");}
function hideSearchField(){var searchContainer=getElementWithAttribute(document.body,"searchContainer","id","div");setClass(searchContainer,"inactive");hideSearchResults();}
function showSearchResults(){setClass(searchResults,"searchResultContainer");}
function hideSearchResults(){setClass(searchResults,"inactive");}
function searchResultsShown(){return"searchResultContainer"==getClassName(searchResults);}
function search(){if(isEmpty(searchInput.value)){return;}
if(lastSearchString==valueToSearchFor()){lastSearchString="";return;}
var url=createSearchEntryUrl();var protocolLength=exists(protocols)?protocols.length:-1;var nlHostsLength=exists(nlHosts)?nlHosts.length:-1;if(!isEmpty(url)){lastSearchString=valueToSearchFor();loadXML(url,parseSearchResponse);}}
function createSearchEntryUrl(){if(isEmpty(searchInput.value)&&isEmpty(searchValue.value)){return"";}
return ENTRY_SEARCH_BASE_URL+"sid="+getSid()+"&entry="+encodeURIComponent(valueToSearchFor())+"&";}
function valueToSearchFor(){var searchString=searchValue.value;return isEmpty(searchString)?searchInput.value:searchString;}
function parseSearchResponse(response){protocols=response.getElementsByTagName("protocol");nlHosts=response.getElementsByTagName("nlhost");if((!exists(protocols)||protocols.length==0)&&(!exists(nlHosts)||nlHosts.length==0)){showNoSearchResults();return;}
searchResults.innerHTML="";searchResults.appendChild(createResultHeader());appendSearchResults(protocols,nlHosts,searchResults);appendClearedDiv(searchResults);searchResults.appendChild(createResultFooter());if(exists(protocols)&&protocols.length==1){setClass(addToMyProtocolsButton,"active");setClass(protocolDetailButton,"active");}
else if(exists(nlHosts)&&nlHosts.length==1){setClass(addToMyHostsButton,"active");setClass(nlHostDetailButton,"active");}
positionSearchResults();showSearchResults();}
function createSearchField(){var tabSection=getElementWithAttribute(document.body,"tabSection","name","div");var tabContainer=getElementWithAttribute(tabSection,"tabContainer","name","div");var searchContainer=document.createElement("div");setClass(searchContainer,"searchContainer");searchContainer.setAttribute("id","searchContainer");tabContainer.appendChild(searchContainer);var leftImage=document.createElement("img");leftImage.src="/themes/black/images/search_left.jpg";setClass(leftImage,"searchLeft");searchContainer.appendChild(leftImage);searchInput=document.createElement("input");searchInput.setAttribute("type","text");searchInput.setAttribute("size","20");searchInput.setAttribute("id","searchField");setClass(searchInput,"search");searchContainer.appendChild(searchInput);searchValue=document.createElement("input");searchValue.setAttribute("type","text");searchValue.setAttribute("id","searchValueField");setClass(searchValue,"inactive");searchContainer.appendChild(searchValue);rightImage=document.createElement("img");rightImage.src="/themes/black/images/search_right.jpg";setClass(rightImage,"searchRight");rightImage.setAttribute("id","searchRight");searchContainer.appendChild(rightImage);rightImage.onclick=searchRightClicked;}
function showNoSearchResults(){searchResults.innerHTML="";var messageContainer=document.createElement("div");messageContainer.appendChild(document.createTextNode("No search results found"));setClass(messageContainer,"searchResultHeader");searchResults.appendChild(messageContainer);positionSearchResults();showSearchResults();}
function appendClearedDiv(element){var clearDiv=document.createElement("div");setClass(clearDiv,"clear");element.appendChild(clearDiv);}
function appendSearchResults(protocols,nlHosts,element){var protocolResults=createProtocolsResultHtmlCode(protocols);for(var i=0;exists(protocolResults)&&i<protocolResults.length;i++){element.appendChild(protocolResults[i]);appendClearedDiv(element);}
var nlHostsResults=createNlHostsResultHtmlCode(nlHosts);for(var i=0;exists(nlHostsResults)&&i<nlHostsResults.length;i++){element.appendChild(nlHostsResults[i]);appendClearedDiv(element);}}
function createNlHostsResultHtmlCode(nlHosts){var nlHostResults=new Array();for(var i=0;exists(nlHosts)&&i<nlHosts.length;i++){nlHostResults.push(createNlHostResultHtmlCode(nlHosts[i]));}
return nlHostResults;}
function createNlHostResultHtmlCode(nlHost){var container=document.createElement("div");setClass(container,"searchResult");container.style.width="100%";container.style.display="block";container.style.position="relative";var alarmCountValue=getTagNodeValue("alarmCount",nlHost);var alarmCount=createSearchItemCode("alarm count: ",(isEmpty(alarmCountValue)?0:alarmCountValue));container.appendChild(alarmCount);var hostName=createSearchItemCode("host name: ",URLDecode(getTagNodeValue("hostName",nlHost)));container.appendChild(hostName);var address=createSearchItemCode("address: ",getTagNodeValue("address",nlHost));container.appendChild(address);var bytes=createSearchItemCode("bytes: ",formatOctetValue(getTagNodeValue("octets",nlHost)));container.appendChild(bytes);var conversations=createSearchItemCode("conversations: ",getTagNodeValue("conversations",nlHost));container.appendChild(conversations);var protocols=createSearchItemCode("protocols: ",getTagNodeValue("protocols",nlHost));container.appendChild(protocols);return container;}
function createProtocolsResultHtmlCode(protocols){var protocolResults=new Array();for(var i=0;exists(protocols)&&i<protocols.length;i++){protocolResults.push(createProtocolResultHtmlCode(protocols[i]))}
return protocolResults;}
function createProtocolResultHtmlCode(protocol){var container=document.createElement("div");setClass(container,"searchResult");container.style.width="100%";container.style.display="block";container.style.position="relative";var alarmCountValue=getTagNodeValue("alarmCount",protocol);var alarmCount=createSearchItemCode("alarm count: ",(isEmpty(alarmCountValue)?0:alarmCountValue));container.appendChild(alarmCount);var name=createSearchItemCode("name: ",getTagNodeValue("protocolName",protocol));container.appendChild(name);var port=createSearchItemCode("port: ",getTagNodeValue("protocolId",protocol));container.appendChild(port);var bytes=createSearchItemCode("bytes: ",formatOctetValue(getTagNodeValue("octets",protocol)));container.appendChild(bytes);var hosts=createSearchItemCode("hosts: ",getTagNodeValue("hosts",protocol));container.appendChild(hosts);var conversations=createSearchItemCode("conversations: ",getTagNodeValue("conversations",protocol));container.appendChild(conversations);return container;}
function createSearchItemCode(category,value){var container=document.createElement("div");setClass(container,"searchResultItem");var nobr=document.createElement("nobr");container.appendChild(nobr);var bold=document.createElement("b");bold.appendChild(document.createTextNode(category));nobr.appendChild(bold);nobr.appendChild(document.createTextNode(value));return container;}
function createResultFooter(){var footer=document.createElement("div");setClass(footer,"searchResultFooter");addToMyProtocolsButton=document.createElement("input");addToMyProtocolsButton.setAttribute("type","button");addToMyProtocolsButton.value="Add to myProtocolts";addToMyProtocolsButton.style.marginRight="5px";addToMyProtocolsButton.setAttribute("id","addToMyProtocolsSearch");addToMyProtocolsButton.onmousedown=addSearchResultToMyProtocols;setClass(addToMyProtocolsButton,"inactive");protocolDetailButton=document.createElement("input");protocolDetailButton.setAttribute("type","button");protocolDetailButton.value="Show details";protocolDetailButton.style.marginRight="5px";protocolDetailButton.setAttribute("id","protocolDetailButton");protocolDetailButton.onmousedown=showProtocolDetails;setClass(protocolDetailButton,"inactive");addToMyHostsButton=document.createElement("input");addToMyHostsButton.setAttribute("type","button");addToMyHostsButton.value="Add to myHosts";addToMyHostsButton.style.marginRight="5px";addToMyHostsButton.setAttribute("id","addToMyHostsSearch");addToMyHostsButton.onmousedown=addSearchResultToMyHosts;setClass(addToMyHostsButton,"inactive");nlHostDetailButton=document.createElement("input");nlHostDetailButton.setAttribute("type","button");nlHostDetailButton.value="Show details";nlHostDetailButton.style.marginRight="5px";nlHostDetailButton.setAttribute("id","nlHostDetailButton");nlHostDetailButton.onmousedown=showNlHostDetails;setClass(nlHostDetailButton,"inactive");footer.appendChild(addToMyProtocolsButton);footer.appendChild(protocolDetailButton);footer.appendChild(addToMyHostsButton);footer.appendChild(nlHostDetailButton);return footer;}
function createResultHeader(){var header=document.createElement("div");setClass(header,"searchResultHeader");header.appendChild(document.createTextNode("Search result"));header.setAttribute("id","searchResultHeader");return header;}
function positionSearchResults(){var rightImageRightOffset=getScreenWidth()-(calculateLeftOffset(rightImage)+rightImage.offsetWidth);searchResults.style.left=(getScreenWidth()-rightImageRightOffset-302)+"px";;}
function createSearchResultContainer(){searchResults=document.createElement("div");setClass(searchResults,"inactive");searchResults.style.position="absolute";searchResults.style.zIndex=999999;document.body.appendChild(searchResults);searchResults.style.left="0px";searchResults.style.top="35px";searchResults.setAttribute("id","searchResults");}
function print(text){window.frames["Main"].print(text);}
function setTableValues(n,srcFilterValue,dstFilterValue,protocolFilterValue,table){var mainWindow=window.frames["Main"];if(!isEmpty(n)){table.setUrl(replaceParameterValue(table.getUrl(),"top",n,"&"));var topNInput=getElementWithAttribute(mainWindow.document.body,"topN"+table.id,"name","input");if(exists(topNInput)){topNInput.value=n;}}
if(!isEmpty(srcFilterValue)){table.setUrl(replaceParameterValue(table.getUrl(),"srcFilterValue",srcFilterValue,"&"));}
if(!isEmpty(dstFilterValue)){table.setUrl(replaceParameterValue(table.getUrl(),"dstFilterValue",dstFilterValue,"&"));}
if(!isEmpty(protocolFilterValue)){table.setUrl(replaceParameterValue(table.getUrl(),"protocolFilterValue",protocolFilterValue,"&"));}
table.restartUpdate();}
function textSuggestionsShown(){positionSuggestTag();hideSearchResults();lastSearchString="";}
function searchFieldKeyUpHandler(event){event=exists(event)?event:window.event;var escapeKey=27;var enterKey=13;if(enterKey==event.keyCode&&!textSuggest.suggestionsShown()){search();return;}
else if(escapeKey==event.keyCode){clearSearch();}
if(!isEmpty(searchInput.value)){showClearSearchButton();}
else{hideClearSearchButton();}
hideSearchResults();}
function searchFieldBlurHandler(){hideSearchResults();lastSearchString="";}
function addSearchResultToMyProtocols(){if(!exists(protocols)||protocols.length==0){return;}
var mainWindow=window.frames["Main"];if(!exists(mainWindow)||!exists(mainWindow.isDoneLoading)||!mainWindow.isDoneLoading()){return;}
mainWindow.WindowManager.instance().activateWindow("myprotocolswindow");var myProtocolsTable=mainWindow.TableManager.instance().getTable("myProtocolsTable");if(!myProtocolsTable.painted){myProtocolsTable.paint();}
myProtocolsTable.addProtocol(getTagNodeValue("protocolId",protocols[0]));hideSearchResults();}
function showNlHostDetails(){if(!exists(nlHosts)||nlHosts.length==0){return;}
var mainWindow=window.frames["Main"];if(!exists(mainWindow)||!exists(mainWindow.isDoneLoading)||!mainWindow.isDoneLoading()){return;}
var nlHostDetailWindow=mainWindow.WindowManager.instance().getWindow("nlhostDetailWindow");var address=getTagNodeValue("address",nlHosts[0]);setTableValues(null,address,null,null,mainWindow.TableManager.instance().getTable("nlhostDetailTable"));setTableValues("4",address,null,null,mainWindow.TableManager.instance().getTable("nlhostTopProtocolsTable"));setTableValues("4",address,null,null,mainWindow.TableManager.instance().getTable("nlhostTopConversationsTable"));removeAllCharts(nlHostDetailWindow);var chart=createNlHostChart(address,nlHostDetailWindow);nlHostDetailWindow.appendChart(chart);nlHostDetailWindow.setSrcAddress(address);mainWindow.WindowManager.instance().activateWindow("nlhostDetailWindow");hideSearchResults();}
function showProtocolDetails(){if(!exists(protocols)||protocols.length==0){return;}
var mainWindow=window.frames["Main"];if(!exists(mainWindow)||!exists(mainWindow.isDoneLoading)||!mainWindow.isDoneLoading()){return;}
var protocolDetailWindow=mainWindow.WindowManager.instance().getWindow("protocolDetailWindow");var protocolId=getTagNodeValue("protocolId",protocols[0]);setTableValues(null,null,null,protocolId,mainWindow.TableManager.instance().getTable("protocolDetailTable"));setTableValues("4",null,null,protocolId,mainWindow.TableManager.instance().getTable("protocolTopHostsTable"));setTableValues("4",null,null,protocolId,mainWindow.TableManager.instance().getTable("protocolTopConversationsTable"));removeAllCharts(protocolDetailWindow);var chart=createProtocolChart(protocolId,protocolDetailWindow);protocolDetailWindow.appendChart(chart);protocolDetailWindow.setProtocol(protocolId);mainWindow.WindowManager.instance().activateWindow("protocolDetailWindow");hideSearchResults();}
function createNlHostChart(address,nlHostDetailWindow){var mainWindow=window.frames["Main"];var container=mainWindow.document.createElement("div");container.setAttribute("name",address+", Bytes"+uniqueInteger());setClass(container,"chartContainer");container.style.width=nlHostDetailWindow.container.style.width;container.style.height=nlHostDetailWindow.container.style.height;var chartCode=mainWindow.document.createElement("img");chartCode.setAttribute("id",address+", Bytes"+uniqueInteger());setClass(chartCode,"chart");container.appendChild(chartCode);chartCode.src="/?resource=Statistics.nlhost&sid="+getSid()+"&mode=getdata&command=intervalchart&field=6&src="+address+"&dst=0&protocol=0&chart=line&width=827&height=155&3dmodeon=true&antialias=true&3ddepth=5&valueLinesOn=true&stackedOn=true&background=%23ffffff|%23cccccc&sampleColors=%231e7096f0|%232492c7f0&alternateChartBackground=%23e7e7e7"
var chart=mainWindow.createLineChart(container,URLDecode(getTagNodeValue("hostName",nlHosts[0]))+", Bytes",nlHostDetailWindow,"nlhostDetailTable");chart.setSrcAddress(address);chart.setField(6);return chart;}
function createProtocolChart(protocolId,protocolDetailWindow){var mainWindow=window.frames["Main"];var container=mainWindow.document.createElement("div");container.setAttribute("name",protocolId+", Bytes"+uniqueInteger());setClass(container,"chartContainer");container.style.width=protocolDetailWindow.container.style.width;container.style.height=protocolDetailWindow.container.style.height;var chartCode=mainWindow.document.createElement("img");chartCode.setAttribute("id",protocolId+", Bytes"+uniqueInteger());setClass(chartCode,"chart");container.appendChild(chartCode);chartCode.src="/?resource=Statistics.protocol&sid="+getSid()+"&mode=getdata&command=intervalchart&field=1&src=0&dst=0&protocol="+protocolId+"&chart=line&width=827&height=155&3dmodeon=true&antialias=true&3ddepth=5&valueLinesOn=true&stackedOn=true&background=%23ffffff|%23cccccc&sampleColors=%231e7096f0|%232492c7f0&alternateChartBackground=%23e7e7e7"
var chart=mainWindow.createLineChart(container,getTagNodeValue("protocolName",protocols[0])+", Bytes",protocolDetailWindow,"protocolDetailTable");chart.setProtocol(protocolId);chart.setField(1);return chart;}
function removeAllCharts(chartWindow){chartWindow.resetCharts();var mainWindow=window.frames["Main"];var windowLayout=mainWindow.getWindowLayout(chartWindow.id);var charts=exists(windowLayout)?windowLayout.getElementsByTagName("charts"):null;if(!exists(charts)||exists(charts)&&charts.length==0){return;}
windowLayout.removeChild(charts[0]);}
function addSearchResultToMyHosts(){if(!exists(nlHosts)||nlHosts.length==0){return;}
var mainWindow=window.frames["Main"];if(!exists(mainWindow)||!exists(mainWindow.isDoneLoading)||!mainWindow.isDoneLoading()){return;}
mainWindow.WindowManager.instance().activateWindow("myhostswindow");var myHostsTable=mainWindow.TableManager.instance().getTable("myHostsTable");if(!myHostsTable.painted){myHostsTable.paint();}
myHostsTable.addHost(getTagNodeValue("address",nlHosts[0]));hideSearchResults();}
function processTabActivatedSearch(event){if("Main".equalsIgnoreCase(event.getData())){showSearchField();}}
function processTabDeactivatedSearch(event){if("Main".equalsIgnoreCase(event.getData())){hideSearchField();}}
function setSearchFieldEventListeners(){registerEventHandler("keyup",searchFieldKeyUpHandler,searchInput);registerEventHandler("blur",searchFieldBlurHandler);}
function isOpera(){return navigator.userAgent.indexOf("Opera")>=0;}
function isFirefox(){if(isOpera()){return false;}
return navigator.userAgent.indexOf("Firefox")>=0;}
function isFirefoxMac(){if(isOpera()){return false;}
var index=navigator.userAgent.indexOf("Firefox");if(index==-1){return false;}
index=navigator.userAgent.indexOf("Macintosh");return index>=0;}
function isCamino(){return navigator.userAgent.indexOf("Camino")>=0;}
function isIE(){if(isOpera()){return false;}
return navigator.userAgent.indexOf("MSIE")>=0;}
function isSafari(){return navigator.userAgent.indexOf("Safari")>=0;}