/**
 * This file contains the window event names. 
 */
 

/**
 * The event fired when a window is collapsed. 
 */
var WINDOW_COLLAPSED_EVENT = "windowColapsed";


/**
 * The event fired when a window is expanded. 
 */ 
var WINDOW_EXPANDED_EVENT = "windowExpanded";


/**
 * The event fired when a window is shown.
 */
var WINDOW_SHOWN_EVENT = "windowShown";


/**
 * The event fired when a window is hidden. 
 */
var WINDOW_HIDDEN_EVENT = "windowHidden";


/**
 * The event fired when a window is activated. 
 */
var WINDOW_ACTIVATED_EVENT = "windowActivated";


/**
 * The event fired when a window is deactivated. 
 */
var WINDOW_DEACTIVATED_EVENT = "windowDeactivated";


/**
 * The event fired when a window has been closed. 
 */
var WINDOW_CLOSED = "windowClosed";


/**
 * The event fired when a window has been minimized.
 */
var WINDOW_MINIMIZED = "windowMinimized";


/**
 * The event fired when a window has been maximized.
 */
var WINDOW_MAXIMIZED = "windowMaximized";

